GNATdoc.EntitiesCategory = {
  "label": "Simple Types",
  "entities": [
    {
      "label": "Action_Entry_Array",
      "docHref": "docs/gtk.action_group.html#L332C9",
      "declared": "Gtk.Action_Group",
      "srcHref": "srcs/gtk-action_group.ads.html#L332"
    },
    {
      "label": "Action_Group_Interface_Descr",
      "docHref": "docs/glib.action_group.html#L618C12",
      "declared": "Glib.Action_Group",
      "srcHref": "srcs/glib-action_group.ads.html#L618"
    },
    {
      "label": "Action_Interface_Descr",
      "docHref": "docs/glib.action.html#L295C12",
      "declared": "Glib.Action",
      "srcHref": "srcs/glib-action.ads.html#L295"
    },
    {
      "label": "Action_Map_Interface_Descr",
      "docHref": "docs/glib.action_map.html#L222C12",
      "declared": "Glib.Action_Map",
      "srcHref": "srcs/glib-action_map.ads.html#L222"
    },
    {
      "label": "Actionable_Interface_Descr",
      "docHref": "docs/gtk.actionable.html#L212C12",
      "declared": "Gtk.Actionable",
      "srcHref": "srcs/gtk-actionable.ads.html#L212"
    },
    {
      "label": "Alignment",
      "docHref": "docs/pango.enums.html#L32C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L32"
    },
    {
      "label": "Alignment_Style",
      "docHref": "docs/gtkada.canvas_view.html#L1319C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L1319"
    },
    {
      "label": "Allocation_Int",
      "docHref": "docs/glib.html#L100C12",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L100"
    },
    {
      "label": "Allowed_Areas",
      "docHref": "docs/gtkada.mdi.html#L92C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L92"
    },
    {
      "label": "Alpha_Mode",
      "docHref": "docs/gdk.pixbuf.html#L70C9",
      "declared": "Gdk.Pixbuf",
      "srcHref": "srcs/gdk-pixbuf.ads.html#L70"
    },
    {
      "label": "Alpha_Range",
      "docHref": "docs/gdk.pixbuf.html#L140C9",
      "declared": "Gdk.Pixbuf",
      "srcHref": "srcs/gdk-pixbuf.ads.html#L140"
    },
    {
      "label": "Animation_Progress",
      "docHref": "docs/gtkada.canvas_view.views.html#L86C9",
      "declared": "Gtkada.Canvas_View.Views",
      "srcHref": "srcs/gtkada-canvas_view-views.ads.html#L86"
    },
    {
      "label": "Animation_Status",
      "docHref": "docs/gtkada.canvas_view.views.html#L329C9",
      "declared": "Gtkada.Canvas_View.Views",
      "srcHref": "srcs/gtkada-canvas_view-views.ads.html#L329"
    },
    {
      "label": "Application_Interface_Descr",
      "docHref": "docs/glib.application.html#L891C12",
      "declared": "Glib.Application",
      "srcHref": "srcs/glib-application.ads.html#L891"
    },
    {
      "label": "ARGB32_Array",
      "docHref": "docs/cairo.image_surface.html#L85C9",
      "declared": "Cairo.Image_Surface",
      "srcHref": "srcs/cairo-image_surface.ads.html#L85"
    },
    {
      "label": "array_of_Gdk_RGBA",
      "docHref": "docs/gdk.rgba.html#L123C9",
      "declared": "Gdk.RGBA",
      "srcHref": "srcs/gdk-rgba.ads.html#L123"
    },
    {
      "label": "array_of_gsize",
      "docHref": "docs/glib.html#L77C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L77"
    },
    {
      "label": "Arrow_Head",
      "docHref": "docs/gtkada.style.html#L241C9",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L241"
    },
    {
      "label": "Arrow_Type",
      "docHref": "docs/gtkada.canvas.html#L180C9",
      "declared": "Gtkada.Canvas",
      "srcHref": "srcs/gtkada-canvas.ads.html#L180"
    },
    {
      "label": "Attr_Type",
      "docHref": "docs/pango.enums.html#L39C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L39"
    },
    {
      "label": "Boolean_Array",
      "docHref": "docs/glib.html#L119C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L119"
    },
    {
      "label": "Boolean_List",
      "docHref": "docs/glib.key_file.html#L267C9",
      "declared": "Glib.Key_File",
      "srcHref": "srcs/glib-key_file.ads.html#L267"
    },
    {
      "label": "Breadth_Vertices_Array",
      "docHref": "docs/glib.graphs.html#L157C9",
      "declared": "Glib.Graphs",
      "srcHref": "srcs/glib-graphs.ads.html#L157"
    },
    {
      "label": "Button_Range",
      "docHref": "docs/gtkada.dialogs.html#L44C9",
      "declared": "Gtkada.Dialogs",
      "srcHref": "srcs/gtkada-dialogs.ads.html#L44"
    },
    {
      "label": "Byte",
      "docHref": "docs/cairo.image_surface.html#L68C9",
      "declared": "Cairo.Image_Surface",
      "srcHref": "srcs/cairo-image_surface.ads.html#L68"
    },
    {
      "label": "Byte_Array",
      "docHref": "docs/cairo.image_surface.html#L91C9",
      "declared": "Cairo.Image_Surface",
      "srcHref": "srcs/cairo-image_surface.ads.html#L91"
    },
    {
      "label": "C_GValues",
      "docHref": "docs/glib.values.html#L53C9",
      "declared": "Glib.Values",
      "srcHref": "srcs/glib-values.ads.html#L53"
    },
    {
      "label": "Cairo_Antialias",
      "docHref": "docs/cairo.html#L733C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L733"
    },
    {
      "label": "Cairo_Color_Val",
      "docHref": "docs/gtkada.style.html#L52C12",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L52"
    },
    {
      "label": "Cairo_Content",
      "docHref": "docs/cairo.html#L277C12",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L277"
    },
    {
      "label": "Cairo_Context",
      "docHref": "docs/cairo.html#L77C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L77"
    },
    {
      "label": "Cairo_Extend",
      "docHref": "docs/cairo.pattern.html#L89C9",
      "declared": "Cairo.Pattern",
      "srcHref": "srcs/cairo-pattern.ads.html#L89"
    },
    {
      "label": "Cairo_Fill_Rule",
      "docHref": "docs/cairo.html#L776C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L776"
    },
    {
      "label": "Cairo_Filter",
      "docHref": "docs/cairo.pattern.html#L111C9",
      "declared": "Cairo.Pattern",
      "srcHref": "srcs/cairo-pattern.ads.html#L111"
    },
    {
      "label": "Cairo_Font_Face",
      "docHref": "docs/cairo.html#L1738C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1738"
    },
    {
      "label": "Cairo_Font_Options",
      "docHref": "docs/cairo.html#L1978C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1978"
    },
    {
      "label": "Cairo_Font_Slant",
      "docHref": "docs/cairo.html#L1898C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1898"
    },
    {
      "label": "Cairo_Font_Type",
      "docHref": "docs/cairo.html#L2269C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L2269"
    },
    {
      "label": "Cairo_Font_Weight",
      "docHref": "docs/cairo.html#L1905C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1905"
    },
    {
      "label": "Cairo_Format",
      "docHref": "docs/cairo.image_surface.html#L39C9",
      "declared": "Cairo.Image_Surface",
      "srcHref": "srcs/cairo-image_surface.ads.html#L39"
    },
    {
      "label": "Cairo_Hint_Metrics",
      "docHref": "docs/cairo.html#L1960C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1960"
    },
    {
      "label": "Cairo_Hint_Style",
      "docHref": "docs/cairo.html#L1932C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1932"
    },
    {
      "label": "Cairo_Line_Cap",
      "docHref": "docs/cairo.html#L828C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L828"
    },
    {
      "label": "Cairo_Line_Join",
      "docHref": "docs/cairo.html#L856C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L856"
    },
    {
      "label": "Cairo_Operator",
      "docHref": "docs/cairo.html#L535C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L535"
    },
    {
      "label": "Cairo_Path_Data_Type",
      "docHref": "docs/cairo.html#L2490C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L2490"
    },
    {
      "label": "Cairo_Pattern",
      "docHref": "docs/cairo.html#L133C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L133"
    },
    {
      "label": "Cairo_Pattern_Type",
      "docHref": "docs/cairo.pattern.html#L64C9",
      "declared": "Cairo.Pattern",
      "srcHref": "srcs/cairo-pattern.ads.html#L64"
    },
    {
      "label": "Cairo_Rectangle_Array",
      "docHref": "docs/cairo.html#L1667C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1667"
    },
    {
      "label": "Cairo_Region",
      "docHref": "docs/cairo.region.html#L37C9",
      "declared": "Cairo.Region",
      "srcHref": "srcs/cairo-region.ads.html#L37"
    },
    {
      "label": "Cairo_Region_Overlap",
      "docHref": "docs/cairo.region.html#L54C9",
      "declared": "Cairo.Region",
      "srcHref": "srcs/cairo-region.ads.html#L54"
    },
    {
      "label": "Cairo_Scaled_Font",
      "docHref": "docs/cairo.html#L1725C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1725"
    },
    {
      "label": "Cairo_Status",
      "docHref": "docs/cairo.html#L177C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L177"
    },
    {
      "label": "Cairo_Subpixel_Order",
      "docHref": "docs/cairo.html#L1911C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1911"
    },
    {
      "label": "Cairo_Surface",
      "docHref": "docs/cairo.html#L92C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L92"
    },
    {
      "label": "Cairo_Surface_Type",
      "docHref": "docs/cairo.surface.html#L41C9",
      "declared": "Cairo.Surface",
      "srcHref": "srcs/cairo-surface.ads.html#L41"
    },
    {
      "label": "Cairo_Text_Cluster_Flags",
      "docHref": "docs/cairo.html#L1804C12",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1804"
    },
    {
      "label": "Canvas_Event_Type",
      "docHref": "docs/gtkada.canvas_view.html#L1158C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L1158"
    },
    {
      "label": "Cell_Editable_Interface_Descr",
      "docHref": "docs/gtk.cell_editable.html#L164C12",
      "declared": "Gtk.Cell_Editable",
      "srcHref": "srcs/gtk-cell_editable.ads.html#L164"
    },
    {
      "label": "Chars_Ptr_Array",
      "docHref": "docs/gtkada.types.html#L39C12",
      "declared": "Gtkada.Types",
      "srcHref": "srcs/gtkada-types.ads.html#L39"
    },
    {
      "label": "Child_Flags",
      "docHref": "docs/gtkada.mdi.html#L201C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L201"
    },
    {
      "label": "Child_Group",
      "docHref": "docs/gtkada.mdi.html#L221C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L221"
    },
    {
      "label": "Child_Layout_Strategy",
      "docHref": "docs/gtkada.canvas_view.html#L1307C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L1307"
    },
    {
      "label": "Child_Position",
      "docHref": "docs/gtkada.mdi.html#L271C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L271"
    },
    {
      "label": "Color_Chooser_Interface_Descr",
      "docHref": "docs/gtk.color_chooser.html#L213C12",
      "declared": "Gtk.Color_Chooser",
      "srcHref": "srcs/gtk-color_chooser.ads.html#L213"
    },
    {
      "label": "Color_Range",
      "docHref": "docs/cairo.html#L645C12",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L645"
    },
    {
      "label": "Context_Id",
      "docHref": "docs/gtk.status_bar.html#L75C9",
      "declared": "Gtk.Status_Bar",
      "srcHref": "srcs/gtk-status_bar.ads.html#L75"
    },
    {
      "label": "Coordinate_Array",
      "docHref": "docs/gtkada.canvas_view.astar.html#L33C9",
      "declared": "Gtkada.Canvas_View.Astar",
      "srcHref": "srcs/gtkada-canvas_view-astar.ads.html#L33"
    },
    {
      "label": "Coverage_Level",
      "docHref": "docs/pango.enums.html#L66C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L66"
    },
    {
      "label": "Dash_Array",
      "docHref": "docs/cairo.html#L887C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L887"
    },
    {
      "label": "Debug_Level_Change",
      "docHref": "docs/gtkada.multi_paned.html#L264C9",
      "declared": "Gtkada.Multi_Paned",
      "srcHref": "srcs/gtkada-multi_paned.ads.html#L264"
    },
    {
      "label": "Depth_Vertices_Array",
      "docHref": "docs/glib.graphs.html#L192C9",
      "declared": "Glib.Graphs",
      "srcHref": "srcs/glib-graphs.ads.html#L192"
    },
    {
      "label": "Dest_Defaults",
      "docHref": "docs/gtk.dnd.html#L97C9",
      "declared": "Gtk.Dnd",
      "srcHref": "srcs/gtk-dnd.ads.html#L97"
    },
    {
      "label": "Direction",
      "docHref": "docs/pango.enums.html#L74C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L74"
    },
    {
      "label": "Double_List",
      "docHref": "docs/glib.key_file.html#L311C9",
      "declared": "Glib.Key_File",
      "srcHref": "srcs/glib-key_file.ads.html#L311"
    },
    {
      "label": "Drag_Action",
      "docHref": "docs/gdk.dnd.html#L38C12",
      "declared": "Gdk.Dnd",
      "srcHref": "srcs/gdk-dnd.ads.html#L38"
    },
    {
      "label": "Drag_Protocol",
      "docHref": "docs/gdk.dnd.html#L39C12",
      "declared": "Gdk.Dnd",
      "srcHref": "srcs/gdk-dnd.ads.html#L39"
    },
    {
      "label": "Edges_Array",
      "docHref": "docs/glib.graphs.html#L51C9",
      "declared": "Glib.Graphs",
      "srcHref": "srcs/glib-graphs.ads.html#L51"
    },
    {
      "label": "Editable_Interface_Descr",
      "docHref": "docs/gtk.editable.html#L413C12",
      "declared": "Gtk.Editable",
      "srcHref": "srcs/gtk-editable.ads.html#L413"
    },
    {
      "label": "Export_Format",
      "docHref": "docs/gtkada.canvas_view.html#L1140C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L1140"
    },
    {
      "label": "File_Format",
      "docHref": "docs/gdk.pixbuf.html#L134C9",
      "declared": "Gdk.Pixbuf",
      "srcHref": "srcs/gdk-pixbuf.ads.html#L134"
    },
    {
      "label": "Flags_Int_Value",
      "docHref": "docs/glib.properties.creation.html#L130C9",
      "declared": "Glib.Properties.Creation",
      "srcHref": "srcs/glib-properties-creation.ads.html#L130"
    },
    {
      "label": "Font_Chooser_Interface_Descr",
      "docHref": "docs/gtk.font_chooser.html#L284C12",
      "declared": "Gtk.Font_Chooser",
      "srcHref": "srcs/gtk-font_chooser.ads.html#L284"
    },
    {
      "label": "Font_Mask",
      "docHref": "docs/pango.enums.html#L99C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L99"
    },
    {
      "label": "G_Connect_Flags",
      "docHref": "docs/glib.html#L237C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L237"
    },
    {
      "label": "G_Icon",
      "docHref": "docs/glib.g_icon.html#L54C9",
      "declared": "Glib.G_Icon",
      "srcHref": "srcs/glib-g_icon.ads.html#L54"
    },
    {
      "label": "G_Key_File_Error",
      "docHref": "docs/glib.key_file.html#L99C9",
      "declared": "Glib.Key_File",
      "srcHref": "srcs/glib-key_file.ads.html#L99"
    },
    {
      "label": "G_Key_File_Flags",
      "docHref": "docs/glib.key_file.html#L108C9",
      "declared": "Glib.Key_File",
      "srcHref": "srcs/glib-key_file.ads.html#L108"
    },
    {
      "label": "G_Priority",
      "docHref": "docs/glib.main.html#L274C9",
      "declared": "Glib.Main",
      "srcHref": "srcs/glib-main.ads.html#L274"
    },
    {
      "label": "G_Source_Id",
      "docHref": "docs/glib.main.html#L150C9",
      "declared": "Glib.Main",
      "srcHref": "srcs/glib-main.ads.html#L150"
    },
    {
      "label": "G_Source_Type",
      "docHref": "docs/glib.main.html#L207C9",
      "declared": "Glib.Main",
      "srcHref": "srcs/glib-main.ads.html#L207"
    },
    {
      "label": "G_Unicode_Type",
      "docHref": "docs/glib.unicode.html#L51C9",
      "declared": "Glib.Unicode",
      "srcHref": "srcs/glib-unicode.ads.html#L51"
    },
    {
      "label": "Gaction",
      "docHref": "docs/glib.action.html#L68C9",
      "declared": "Glib.Action",
      "srcHref": "srcs/glib-action.ads.html#L68"
    },
    {
      "label": "GAction_Entry_Array",
      "docHref": "docs/glib.action_map.html#L67C9",
      "declared": "Glib.Action_Map",
      "srcHref": "srcs/glib-action_map.ads.html#L67"
    },
    {
      "label": "Gaction_Group",
      "docHref": "docs/glib.action_group.html#L86C9",
      "declared": "Glib.Action_Group",
      "srcHref": "srcs/glib-action_group.ads.html#L86"
    },
    {
      "label": "Gaction_Map",
      "docHref": "docs/glib.action_map.html#L51C9",
      "declared": "Glib.Action_Map",
      "srcHref": "srcs/glib-action_map.ads.html#L51"
    },
    {
      "label": "GApplication_Flags",
      "docHref": "docs/glib.application.html#L177C9",
      "declared": "Glib.Application",
      "srcHref": "srcs/glib-application.ads.html#L177"
    },
    {
      "label": "Gboolean",
      "docHref": "docs/glib.html#L53C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L53"
    },
    {
      "label": "Gboolean_Array",
      "docHref": "docs/glib.html#L107C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L107"
    },
    {
      "label": "Gchar",
      "docHref": "docs/glib.html#L52C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L52"
    },
    {
      "label": "Gcolor_Int",
      "docHref": "docs/glib.html#L97C12",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L97"
    },
    {
      "label": "Gdk_Atom_Array",
      "docHref": "docs/gdk.dnd.html#L34C9",
      "declared": "Gdk.Dnd",
      "srcHref": "srcs/gdk-dnd.ads.html#L34"
    },
    {
      "label": "Gdk_Atom_Array",
      "docHref": "docs/gdk.types.html#L69C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L69"
    },
    {
      "label": "Gdk_Axis_Use",
      "docHref": "docs/gdk.types.html#L71C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L71"
    },
    {
      "label": "Gdk_Byte_Order",
      "docHref": "docs/gdk.types.html#L81C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L81"
    },
    {
      "label": "Gdk_Color_Array",
      "docHref": "docs/gdk.color.html#L53C9",
      "declared": "Gdk.Color",
      "srcHref": "srcs/gdk-color.ads.html#L53"
    },
    {
      "label": "Gdk_Color_Unconstrained_Array",
      "docHref": "docs/gdk.color.html#L56C9",
      "declared": "Gdk.Color",
      "srcHref": "srcs/gdk-color.ads.html#L56"
    },
    {
      "label": "Gdk_Colorspace",
      "docHref": "docs/gdk.pixbuf.html#L76C9",
      "declared": "Gdk.Pixbuf",
      "srcHref": "srcs/gdk-pixbuf.ads.html#L76"
    },
    {
      "label": "Gdk_Crossing_Mode",
      "docHref": "docs/gdk.event.html#L245C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L245"
    },
    {
      "label": "Gdk_Cursor_Type",
      "docHref": "docs/gdk.cursor.html#L40C9",
      "declared": "Gdk.Cursor",
      "srcHref": "srcs/gdk-cursor.ads.html#L40"
    },
    {
      "label": "Gdk_Device_Type",
      "docHref": "docs/gdk.device.html#L52C9",
      "declared": "Gdk.Device",
      "srcHref": "srcs/gdk-device.ads.html#L52"
    },
    {
      "label": "Gdk_Drag_Action",
      "docHref": "docs/gdk.drag_contexts.html#L38C9",
      "declared": "Gdk.Drag_Contexts",
      "srcHref": "srcs/gdk-drag_contexts.ads.html#L38"
    },
    {
      "label": "Gdk_Drag_Protocol",
      "docHref": "docs/gdk.drag_contexts.html#L50C9",
      "declared": "Gdk.Drag_Contexts",
      "srcHref": "srcs/gdk-drag_contexts.ads.html#L50"
    },
    {
      "label": "Gdk_Event_Mask",
      "docHref": "docs/gdk.event.html#L166C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L166"
    },
    {
      "label": "Gdk_Event_Type",
      "docHref": "docs/gdk.event.html#L68C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L68"
    },
    {
      "label": "Gdk_Extension_Mode",
      "docHref": "docs/gdk.types.html#L84C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L84"
    },
    {
      "label": "Gdk_Frame_Clock_Phase",
      "docHref": "docs/gdk.frame_clock.html#L72C9",
      "declared": "Gdk.Frame_Clock",
      "srcHref": "srcs/gdk-frame_clock.ads.html#L72"
    },
    {
      "label": "Gdk_Fullscreen_Mode",
      "docHref": "docs/gdk.window.html#L203C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L203"
    },
    {
      "label": "Gdk_Grab_Ownership",
      "docHref": "docs/gdk.types.html#L155C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L155"
    },
    {
      "label": "Gdk_Grab_Status",
      "docHref": "docs/gdk.types.html#L144C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L144"
    },
    {
      "label": "Gdk_Gravity",
      "docHref": "docs/gdk.window.html#L173C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L173"
    },
    {
      "label": "Gdk_IC_Attributes_Type",
      "docHref": "docs/gdk.types.html#L88C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L88"
    },
    {
      "label": "Gdk_IM_Style",
      "docHref": "docs/gdk.types.html#L115C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L115"
    },
    {
      "label": "Gdk_Input_Condition",
      "docHref": "docs/gdk.types.html#L128C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L128"
    },
    {
      "label": "Gdk_Input_Mode",
      "docHref": "docs/gdk.types.html#L131C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L131"
    },
    {
      "label": "Gdk_Input_Source",
      "docHref": "docs/gdk.types.html#L134C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L134"
    },
    {
      "label": "Gdk_Interp_Type",
      "docHref": "docs/gdk.pixbuf.html#L82C9",
      "declared": "Gdk.Pixbuf",
      "srcHref": "srcs/gdk-pixbuf.ads.html#L82"
    },
    {
      "label": "Gdk_Key_Type",
      "docHref": "docs/gdk.types.html#L164C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L164"
    },
    {
      "label": "Gdk_Modifier_Intent",
      "docHref": "docs/gdk.types.html#L189C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L189"
    },
    {
      "label": "Gdk_Modifier_Type",
      "docHref": "docs/gdk.types.html#L167C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L167"
    },
    {
      "label": "Gdk_Notify_Type",
      "docHref": "docs/gdk.event.html#L232C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L232"
    },
    {
      "label": "Gdk_Owner_Change",
      "docHref": "docs/gdk.event.html#L286C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L286"
    },
    {
      "label": "Gdk_Points_Array",
      "docHref": "docs/gdk.types.html#L42C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L42"
    },
    {
      "label": "Gdk_Prop_Mode",
      "docHref": "docs/gdk.property.html#L34C9",
      "declared": "Gdk.Property",
      "srcHref": "srcs/gdk-property.ads.html#L34"
    },
    {
      "label": "Gdk_Property_State",
      "docHref": "docs/gdk.event.html#L258C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L258"
    },
    {
      "label": "Gdk_Rectangle_Array",
      "docHref": "docs/gdk.rectangle.html#L36C9",
      "declared": "Gdk.Rectangle",
      "srcHref": "srcs/gdk-rectangle.ads.html#L36"
    },
    {
      "label": "Gdk_Rgb_Dither",
      "docHref": "docs/gdk.pixbuf.html#L144C9",
      "declared": "Gdk.Pixbuf",
      "srcHref": "srcs/gdk-pixbuf.ads.html#L144"
    },
    {
      "label": "Gdk_Scroll_Direction",
      "docHref": "docs/gdk.event.html#L223C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L223"
    },
    {
      "label": "Gdk_Segments_Array",
      "docHref": "docs/gdk.types.html#L53C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L53"
    },
    {
      "label": "Gdk_Setting_Action",
      "docHref": "docs/gdk.event.html#L278C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L278"
    },
    {
      "label": "Gdk_Visibility_State",
      "docHref": "docs/gdk.event.html#L215C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L215"
    },
    {
      "label": "Gdk_Visual_Type",
      "docHref": "docs/gdk.visual.html#L42C9",
      "declared": "Gdk.Visual",
      "srcHref": "srcs/gdk-visual.ads.html#L42"
    },
    {
      "label": "Gdk_Visual_Type_Array",
      "docHref": "docs/gdk.visual.html#L51C9",
      "declared": "Gdk.Visual",
      "srcHref": "srcs/gdk-visual.ads.html#L51"
    },
    {
      "label": "Gdk_WChar",
      "docHref": "docs/gdk.types.html#L204C12",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L204"
    },
    {
      "label": "Gdk_Window_Attributes_Type",
      "docHref": "docs/gdk.window.html#L80C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L80"
    },
    {
      "label": "Gdk_Window_Class",
      "docHref": "docs/gdk.window.html#L48C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L48"
    },
    {
      "label": "Gdk_Window_Edge",
      "docHref": "docs/gdk.window.html#L58C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L58"
    },
    {
      "label": "Gdk_Window_Hints",
      "docHref": "docs/gdk.window.html#L99C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L99"
    },
    {
      "label": "Gdk_Window_State",
      "docHref": "docs/gdk.event.html#L265C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L265"
    },
    {
      "label": "Gdk_Window_Type",
      "docHref": "docs/gdk.window.html#L70C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L70"
    },
    {
      "label": "Gdk_Window_Type_Hint",
      "docHref": "docs/gdk.window.html#L121C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L121"
    },
    {
      "label": "Gdk_WMDecoration",
      "docHref": "docs/gdk.window.html#L146C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L146"
    },
    {
      "label": "Gdk_WMFunction",
      "docHref": "docs/gdk.window.html#L160C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L160"
    },
    {
      "label": "Gdk_WString",
      "docHref": "docs/gdk.types.html#L205C12",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L205"
    },
    {
      "label": "Gdouble",
      "docHref": "docs/glib.html#L61C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L61"
    },
    {
      "label": "Gdouble_Array",
      "docHref": "docs/glib.html#L117C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L117"
    },
    {
      "label": "GFile",
      "docHref": "docs/gtkada.application.html#L76C9",
      "declared": "Gtkada.Application",
      "srcHref": "srcs/gtkada-application.ads.html#L76"
    },
    {
      "label": "GFile_Array",
      "docHref": "docs/gtkada.application.html#L77C9",
      "declared": "Gtkada.Application",
      "srcHref": "srcs/gtkada-application.ads.html#L77"
    },
    {
      "label": "Gfloat",
      "docHref": "docs/glib.html#L60C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L60"
    },
    {
      "label": "Gfloat_Array",
      "docHref": "docs/glib.html#L115C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L115"
    },
    {
      "label": "Gint",
      "docHref": "docs/glib.html#L51C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L51"
    },
    {
      "label": "Gint16",
      "docHref": "docs/glib.html#L64C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L64"
    },
    {
      "label": "Gint32",
      "docHref": "docs/glib.html#L65C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L65"
    },
    {
      "label": "Gint64",
      "docHref": "docs/glib.html#L66C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L66"
    },
    {
      "label": "Gint8",
      "docHref": "docs/glib.html#L63C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L63"
    },
    {
      "label": "Gint_Array",
      "docHref": "docs/glib.html#L110C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L110"
    },
    {
      "label": "Glib_Traverse_Flags",
      "docHref": "docs/glib.enums.html#L29C9",
      "declared": "Glib.Enums",
      "srcHref": "srcs/glib-enums.ads.html#L29"
    },
    {
      "label": "Glib_Traverse_Type",
      "docHref": "docs/glib.enums.html#L36C9",
      "declared": "Glib.Enums",
      "srcHref": "srcs/glib-enums.ads.html#L36"
    },
    {
      "label": "Glong",
      "docHref": "docs/glib.html#L50C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L50"
    },
    {
      "label": "Glong_Array",
      "docHref": "docs/glib.html#L109C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L109"
    },
    {
      "label": "GObject_Class",
      "docHref": "docs/glib.object.html#L233C9",
      "declared": "Glib.Object",
      "srcHref": "srcs/glib-object.ads.html#L233"
    },
    {
      "label": "GOption_Arg",
      "docHref": "docs/glib.option.html#L56C9",
      "declared": "Glib.Option",
      "srcHref": "srcs/glib-option.ads.html#L56"
    },
    {
      "label": "GOption_Entry_Array",
      "docHref": "docs/glib.option.html#L115C9",
      "declared": "Glib.Option",
      "srcHref": "srcs/glib-option.ads.html#L115"
    },
    {
      "label": "GOption_Error",
      "docHref": "docs/glib.option.html#L49C9",
      "declared": "Glib.Option",
      "srcHref": "srcs/glib-option.ads.html#L49"
    },
    {
      "label": "GOption_Flags",
      "docHref": "docs/glib.option.html#L73C9",
      "declared": "Glib.Option",
      "srcHref": "srcs/glib-option.ads.html#L73"
    },
    {
      "label": "GQuark",
      "docHref": "docs/glib.html#L204C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L204"
    },
    {
      "label": "Grange_Float",
      "docHref": "docs/glib.html#L94C12",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L94"
    },
    {
      "label": "Gravity",
      "docHref": "docs/pango.enums.html#L111C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L111"
    },
    {
      "label": "GravityHint",
      "docHref": "docs/pango.enums.html#L130C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L130"
    },
    {
      "label": "Gshort",
      "docHref": "docs/glib.html#L49C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L49"
    },
    {
      "label": "Gshort_Array",
      "docHref": "docs/glib.html#L108C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L108"
    },
    {
      "label": "Gsize",
      "docHref": "docs/glib.html#L73C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L73"
    },
    {
      "label": "Gssize",
      "docHref": "docs/glib.html#L74C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L74"
    },
    {
      "label": "Gtk_Accel_Flags",
      "docHref": "docs/gtk.accel_group.html#L55C9",
      "declared": "Gtk.Accel_Group",
      "srcHref": "srcs/gtk-accel_group.ads.html#L55"
    },
    {
      "label": "Gtk_Accel_Flags",
      "docHref": "docs/gtk.target_list.html#L48C9",
      "declared": "Gtk.Target_List",
      "srcHref": "srcs/gtk-target_list.ads.html#L48"
    },
    {
      "label": "Gtk_Actionable",
      "docHref": "docs/gtk.actionable.html#L55C9",
      "declared": "Gtk.Actionable",
      "srcHref": "srcs/gtk-actionable.ads.html#L55"
    },
    {
      "label": "Gtk_Activatable",
      "docHref": "docs/gtk.activatable.html#L223C9",
      "declared": "Gtk.Activatable",
      "srcHref": "srcs/gtk-activatable.ads.html#L223"
    },
    {
      "label": "Gtk_Align",
      "docHref": "docs/gtk.widget.html#L269C9",
      "declared": "Gtk.Widget",
      "srcHref": "srcs/gtk-widget.ads.html#L269"
    },
    {
      "label": "Gtk_Application_Inhibit_Flags",
      "docHref": "docs/gtk.application.html#L106C9",
      "declared": "Gtk.Application",
      "srcHref": "srcs/gtk-application.ads.html#L106"
    },
    {
      "label": "Gtk_Arrow_Type",
      "docHref": "docs/gtk.enums.html#L33C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L33"
    },
    {
      "label": "Gtk_Assistant_Page_Type",
      "docHref": "docs/gtk.assistant.html#L69C9",
      "declared": "Gtk.Assistant",
      "srcHref": "srcs/gtk-assistant.ads.html#L69"
    },
    {
      "label": "Gtk_Attach_Options",
      "docHref": "docs/gtk.enums.html#L43C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L43"
    },
    {
      "label": "Gtk_Buildable",
      "docHref": "docs/gtk.buildable.html#L53C9",
      "declared": "Gtk.Buildable",
      "srcHref": "srcs/gtk-buildable.ads.html#L53"
    },
    {
      "label": "Gtk_Button_Box_Style",
      "docHref": "docs/gtk.enums.html#L52C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L52"
    },
    {
      "label": "Gtk_Buttons_Type",
      "docHref": "docs/gtk.message_dialog.html#L101C9",
      "declared": "Gtk.Message_Dialog",
      "srcHref": "srcs/gtk-message_dialog.ads.html#L101"
    },
    {
      "label": "Gtk_Calendar_Display_Options",
      "docHref": "docs/gtk.calendar.html#L66C9",
      "declared": "Gtk.Calendar",
      "srcHref": "srcs/gtk-calendar.ads.html#L66"
    },
    {
      "label": "Gtk_Cell_Editable",
      "docHref": "docs/gtk.cell_editable.html#L42C9",
      "declared": "Gtk.Cell_Editable",
      "srcHref": "srcs/gtk-cell_editable.ads.html#L42"
    },
    {
      "label": "Gtk_Cell_Layout",
      "docHref": "docs/gtk.cell_layout.html#L137C9",
      "declared": "Gtk.Cell_Layout",
      "srcHref": "srcs/gtk-cell_layout.ads.html#L137"
    },
    {
      "label": "Gtk_Cell_Renderer_Mode",
      "docHref": "docs/gtk.cell_renderer.html#L98C9",
      "declared": "Gtk.Cell_Renderer",
      "srcHref": "srcs/gtk-cell_renderer.ads.html#L98"
    },
    {
      "label": "Gtk_Cell_Renderer_State",
      "docHref": "docs/gtk.cell_renderer.html#L86C9",
      "declared": "Gtk.Cell_Renderer",
      "srcHref": "srcs/gtk-cell_renderer.ads.html#L86"
    },
    {
      "label": "Gtk_Color_Chooser",
      "docHref": "docs/gtk.color_chooser.html#L47C9",
      "declared": "Gtk.Color_Chooser",
      "srcHref": "srcs/gtk-color_chooser.ads.html#L47"
    },
    {
      "label": "Gtk_Corner_Type",
      "docHref": "docs/gtk.enums.html#L70C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L70"
    },
    {
      "label": "Gtk_Css_Section_Type",
      "docHref": "docs/gtk.css_section.html#L45C9",
      "declared": "Gtk.Css_Section",
      "srcHref": "srcs/gtk-css_section.ads.html#L45"
    },
    {
      "label": "Gtk_Delete_Type",
      "docHref": "docs/gtk.enums.html#L80C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L80"
    },
    {
      "label": "Gtk_Dest_Defaults",
      "docHref": "docs/gtk.tool_palette.html#L100C9",
      "declared": "Gtk.Tool_Palette",
      "srcHref": "srcs/gtk-tool_palette.ads.html#L100"
    },
    {
      "label": "Gtk_Dialog_Flags",
      "docHref": "docs/gtk.dialog.html#L158C9",
      "declared": "Gtk.Dialog",
      "srcHref": "srcs/gtk-dialog.ads.html#L158"
    },
    {
      "label": "Gtk_Direction_Type",
      "docHref": "docs/gtk.enums.html#L92C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L92"
    },
    {
      "label": "Gtk_Drag_Result",
      "docHref": "docs/gtk.enums.html#L102C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L102"
    },
    {
      "label": "Gtk_Editable",
      "docHref": "docs/gtk.editable.html#L70C9",
      "declared": "Gtk.Editable",
      "srcHref": "srcs/gtk-editable.ads.html#L70"
    },
    {
      "label": "Gtk_Entry_Icon_Position",
      "docHref": "docs/gtk.gentry.html#L103C9",
      "declared": "Gtk.GEntry",
      "srcHref": "srcs/gtk-gentry.ads.html#L103"
    },
    {
      "label": "Gtk_Expander_Style",
      "docHref": "docs/gtk.enums.html#L113C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L113"
    },
    {
      "label": "Gtk_File_Chooser",
      "docHref": "docs/gtk.file_chooser.html#L340C9",
      "declared": "Gtk.File_Chooser",
      "srcHref": "srcs/gtk-file_chooser.ads.html#L340"
    },
    {
      "label": "Gtk_File_Chooser_Action",
      "docHref": "docs/gtk.file_chooser.html#L343C9",
      "declared": "Gtk.File_Chooser",
      "srcHref": "srcs/gtk-file_chooser.ads.html#L343"
    },
    {
      "label": "Gtk_File_Chooser_Confirmation",
      "docHref": "docs/gtk.file_chooser.html#L352C9",
      "declared": "Gtk.File_Chooser",
      "srcHref": "srcs/gtk-file_chooser.ads.html#L352"
    },
    {
      "label": "Gtk_File_Chooser_Error",
      "docHref": "docs/gtk.file_chooser.html#L363C9",
      "declared": "Gtk.File_Chooser",
      "srcHref": "srcs/gtk-file_chooser.ads.html#L363"
    },
    {
      "label": "Gtk_File_Filter_Flags",
      "docHref": "docs/gtk.file_filter.html#L78C9",
      "declared": "Gtk.File_Filter",
      "srcHref": "srcs/gtk-file_filter.ads.html#L78"
    },
    {
      "label": "Gtk_Font_Chooser",
      "docHref": "docs/gtk.font_chooser.html#L49C9",
      "declared": "Gtk.Font_Chooser",
      "srcHref": "srcs/gtk-font_chooser.ads.html#L49"
    },
    {
      "label": "Gtk_Icon_Lookup_Flags",
      "docHref": "docs/gtk.icon_theme.html#L114C9",
      "declared": "Gtk.Icon_Theme",
      "srcHref": "srcs/gtk-icon_theme.ads.html#L114"
    },
    {
      "label": "Gtk_Icon_Size",
      "docHref": "docs/gtk.enums.html#L122C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L122"
    },
    {
      "label": "Gtk_Icon_View_Drop_Position",
      "docHref": "docs/gtk.icon_view.html#L68C9",
      "declared": "Gtk.Icon_View",
      "srcHref": "srcs/gtk-icon_view.ads.html#L68"
    },
    {
      "label": "Gtk_Image_Type",
      "docHref": "docs/gtk.image.html#L120C9",
      "declared": "Gtk.Image",
      "srcHref": "srcs/gtk-image.ads.html#L120"
    },
    {
      "label": "Gtk_Input_Hints",
      "docHref": "docs/gtk.enums.html#L179C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L179"
    },
    {
      "label": "Gtk_Input_Purpose",
      "docHref": "docs/gtk.enums.html#L201C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L201"
    },
    {
      "label": "Gtk_Junction_Sides",
      "docHref": "docs/gtk.enums.html#L134C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L134"
    },
    {
      "label": "Gtk_Justification",
      "docHref": "docs/gtk.enums.html#L148C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L148"
    },
    {
      "label": "Gtk_Level_Bar_Mode",
      "docHref": "docs/gtk.enums.html#L283C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L283"
    },
    {
      "label": "Gtk_License",
      "docHref": "docs/gtk.about_dialog.html#L79C9",
      "declared": "Gtk.About_Dialog",
      "srcHref": "srcs/gtk-about_dialog.ads.html#L79"
    },
    {
      "label": "Gtk_Menu_Direction_Type",
      "docHref": "docs/gtk.enums.html#L157C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L157"
    },
    {
      "label": "Gtk_Message_Type",
      "docHref": "docs/gtk.message_dialog.html#L92C9",
      "declared": "Gtk.Message_Dialog",
      "srcHref": "srcs/gtk-message_dialog.ads.html#L92"
    },
    {
      "label": "Gtk_Movement_Step",
      "docHref": "docs/gtk.enums.html#L165C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L165"
    },
    {
      "label": "Gtk_Notebook_Tab",
      "docHref": "docs/gtk.notebook.html#L84C9",
      "declared": "Gtk.Notebook",
      "srcHref": "srcs/gtk-notebook.ads.html#L84"
    },
    {
      "label": "Gtk_Number_Up_Layout",
      "docHref": "docs/gtk.enums.html#L231C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L231"
    },
    {
      "label": "Gtk_Orientable",
      "docHref": "docs/gtk.orientable.html#L45C9",
      "declared": "Gtk.Orientable",
      "srcHref": "srcs/gtk-orientable.ads.html#L45"
    },
    {
      "label": "Gtk_Orientation",
      "docHref": "docs/gtk.enums.html#L244C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L244"
    },
    {
      "label": "Gtk_Pack_Direction",
      "docHref": "docs/gtk.enums.html#L252C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L252"
    },
    {
      "label": "Gtk_Pack_Type",
      "docHref": "docs/gtk.enums.html#L261C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L261"
    },
    {
      "label": "Gtk_Page_Orientation",
      "docHref": "docs/gtk.enums.html#L268C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L268"
    },
    {
      "label": "Gtk_Page_Range_Array",
      "docHref": "docs/gtk.print_settings.html#L59C9",
      "declared": "Gtk.Print_Settings",
      "srcHref": "srcs/gtk-print_settings.ads.html#L59"
    },
    {
      "label": "Gtk_Page_Set",
      "docHref": "docs/gtk.enums.html#L276C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L276"
    },
    {
      "label": "Gtk_Path_Priority_Type",
      "docHref": "docs/gtk.enums.html#L291C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L291"
    },
    {
      "label": "Gtk_Path_Type",
      "docHref": "docs/gtk.enums.html#L309C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L309"
    },
    {
      "label": "Gtk_Policy_Type",
      "docHref": "docs/gtk.enums.html#L316C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L316"
    },
    {
      "label": "Gtk_Position_Type",
      "docHref": "docs/gtk.enums.html#L323C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L323"
    },
    {
      "label": "Gtk_Print_Duplex",
      "docHref": "docs/gtk.enums.html#L333C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L333"
    },
    {
      "label": "Gtk_Print_Error",
      "docHref": "docs/gtk.print_operation.html#L132C9",
      "declared": "Gtk.Print_Operation",
      "srcHref": "srcs/gtk-print_operation.ads.html#L132"
    },
    {
      "label": "Gtk_Print_Operation_Action",
      "docHref": "docs/gtk.print_operation.html#L123C9",
      "declared": "Gtk.Print_Operation",
      "srcHref": "srcs/gtk-print_operation.ads.html#L123"
    },
    {
      "label": "Gtk_Print_Operation_Preview",
      "docHref": "docs/gtk.print_operation_preview.html#L35C9",
      "declared": "Gtk.Print_Operation_Preview",
      "srcHref": "srcs/gtk-print_operation_preview.ads.html#L35"
    },
    {
      "label": "Gtk_Print_Operation_Result",
      "docHref": "docs/gtk.print_operation.html#L115C9",
      "declared": "Gtk.Print_Operation",
      "srcHref": "srcs/gtk-print_operation.ads.html#L115"
    },
    {
      "label": "Gtk_Print_Pages",
      "docHref": "docs/gtk.enums.html#L340C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L340"
    },
    {
      "label": "Gtk_Print_Quality",
      "docHref": "docs/gtk.enums.html#L348C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L348"
    },
    {
      "label": "Gtk_Print_Status",
      "docHref": "docs/gtk.print_operation.html#L101C9",
      "declared": "Gtk.Print_Operation",
      "srcHref": "srcs/gtk-print_operation.ads.html#L101"
    },
    {
      "label": "Gtk_Recent_Chooser",
      "docHref": "docs/gtk.recent_chooser.html#L49C9",
      "declared": "Gtk.Recent_Chooser",
      "srcHref": "srcs/gtk-recent_chooser.ads.html#L49"
    },
    {
      "label": "Gtk_Recent_Filter_Flags",
      "docHref": "docs/gtk.recent_filter.html#L87C9",
      "declared": "Gtk.Recent_Filter",
      "srcHref": "srcs/gtk-recent_filter.ads.html#L87"
    },
    {
      "label": "Gtk_Recent_Sort_Type",
      "docHref": "docs/gtk.recent_chooser.html#L52C9",
      "declared": "Gtk.Recent_Chooser",
      "srcHref": "srcs/gtk-recent_chooser.ads.html#L52"
    },
    {
      "label": "Gtk_Region_Flags",
      "docHref": "docs/gtk.enums.html#L356C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L356"
    },
    {
      "label": "Gtk_Relief_Style",
      "docHref": "docs/gtk.enums.html#L367C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L367"
    },
    {
      "label": "Gtk_Resize_Mode",
      "docHref": "docs/gtk.enums.html#L374C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L374"
    },
    {
      "label": "Gtk_Response_Type",
      "docHref": "docs/gtk.dialog.html#L171C9",
      "declared": "Gtk.Dialog",
      "srcHref": "srcs/gtk-dialog.ads.html#L171"
    },
    {
      "label": "Gtk_Scroll_Step",
      "docHref": "docs/gtk.enums.html#L381C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L381"
    },
    {
      "label": "Gtk_Scroll_Type",
      "docHref": "docs/gtk.enums.html#L391C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L391"
    },
    {
      "label": "Gtk_Scrollable",
      "docHref": "docs/gtk.scrollable.html#L80C9",
      "declared": "Gtk.Scrollable",
      "srcHref": "srcs/gtk-scrollable.ads.html#L80"
    },
    {
      "label": "Gtk_Scrollable_Policy",
      "docHref": "docs/gtk.enums.html#L411C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L411"
    },
    {
      "label": "Gtk_Selection_Mode",
      "docHref": "docs/gtk.enums.html#L418C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L418"
    },
    {
      "label": "Gtk_Sensitivity_Type",
      "docHref": "docs/gtk.enums.html#L426C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L426"
    },
    {
      "label": "Gtk_Shadow_Type",
      "docHref": "docs/gtk.enums.html#L434C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L434"
    },
    {
      "label": "Gtk_Size_Request_Mode",
      "docHref": "docs/gtk.enums.html#L444C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L444"
    },
    {
      "label": "Gtk_Sort_Type",
      "docHref": "docs/gtk.enums.html#L452C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L452"
    },
    {
      "label": "Gtk_Spin_Button_Update_Policy",
      "docHref": "docs/gtk.spin_button.html#L123C9",
      "declared": "Gtk.Spin_Button",
      "srcHref": "srcs/gtk-spin_button.ads.html#L123"
    },
    {
      "label": "Gtk_Spin_Type",
      "docHref": "docs/gtk.spin_button.html#L111C9",
      "declared": "Gtk.Spin_Button",
      "srcHref": "srcs/gtk-spin_button.ads.html#L111"
    },
    {
      "label": "Gtk_State_Flags",
      "docHref": "docs/gtk.enums.html#L458C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L458"
    },
    {
      "label": "Gtk_State_Type",
      "docHref": "docs/gtk.enums.html#L475C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L475"
    },
    {
      "label": "Gtk_Stock_Item_Array",
      "docHref": "docs/gtk.stock.html#L143C9",
      "declared": "Gtk.Stock",
      "srcHref": "srcs/gtk-stock.ads.html#L143"
    },
    {
      "label": "Gtk_Style_Provider",
      "docHref": "docs/gtk.style_provider.html#L41C9",
      "declared": "Gtk.Style_Provider",
      "srcHref": "srcs/gtk-style_provider.ads.html#L41"
    },
    {
      "label": "Gtk_Target_Flags",
      "docHref": "docs/gtk.enums.html#L490C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L490"
    },
    {
      "label": "Gtk_Text_Direction",
      "docHref": "docs/gtk.enums.html#L500C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L500"
    },
    {
      "label": "Gtk_Text_Search_Flags",
      "docHref": "docs/gtk.text_iter.html#L46C9",
      "declared": "Gtk.Text_Iter",
      "srcHref": "srcs/gtk-text_iter.ads.html#L46"
    },
    {
      "label": "Gtk_Text_Window_Type",
      "docHref": "docs/gtk.enums.html#L507C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L507"
    },
    {
      "label": "Gtk_Tool_Palette_Drag_Targets",
      "docHref": "docs/gtk.tool_palette.html#L111C9",
      "declared": "Gtk.Tool_Palette",
      "srcHref": "srcs/gtk-tool_palette.ads.html#L111"
    },
    {
      "label": "Gtk_Tool_Shell",
      "docHref": "docs/gtk.tool_shell.html#L42C9",
      "declared": "Gtk.Tool_Shell",
      "srcHref": "srcs/gtk-tool_shell.ads.html#L42"
    },
    {
      "label": "Gtk_Toolbar_Space_Style",
      "docHref": "docs/gtk.enums.html#L526C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L526"
    },
    {
      "label": "Gtk_Toolbar_Style",
      "docHref": "docs/gtk.enums.html#L532C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L532"
    },
    {
      "label": "Gtk_Tree_Drag_Dest",
      "docHref": "docs/gtk.tree_drag_dest.html#L35C9",
      "declared": "Gtk.Tree_Drag_Dest",
      "srcHref": "srcs/gtk-tree_drag_dest.ads.html#L35"
    },
    {
      "label": "Gtk_Tree_Drag_Source",
      "docHref": "docs/gtk.tree_drag_source.html#L35C9",
      "declared": "Gtk.Tree_Drag_Source",
      "srcHref": "srcs/gtk-tree_drag_source.ads.html#L35"
    },
    {
      "label": "Gtk_Tree_Model",
      "docHref": "docs/gtk.tree_model.html#L208C9",
      "declared": "Gtk.Tree_Model",
      "srcHref": "srcs/gtk-tree_model.ads.html#L208"
    },
    {
      "label": "Gtk_Tree_Sortable",
      "docHref": "docs/gtk.tree_sortable.html#L41C9",
      "declared": "Gtk.Tree_Sortable",
      "srcHref": "srcs/gtk-tree_sortable.ads.html#L41"
    },
    {
      "label": "Gtk_Tree_View_Column_Sizing",
      "docHref": "docs/gtk.tree_view_column.html#L58C9",
      "declared": "Gtk.Tree_View_Column",
      "srcHref": "srcs/gtk-tree_view_column.ads.html#L58"
    },
    {
      "label": "Gtk_Tree_View_Drop_Position",
      "docHref": "docs/gtk.tree_view.html#L120C9",
      "declared": "Gtk.Tree_View",
      "srcHref": "srcs/gtk-tree_view.ads.html#L120"
    },
    {
      "label": "Gtk_Tree_View_Grid_Lines",
      "docHref": "docs/gtk.enums.html#L518C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L518"
    },
    {
      "label": "Gtk_Type",
      "docHref": "docs/gtk.html#L61C12",
      "declared": "Gtk",
      "srcHref": "srcs/gtk.ads.html#L61"
    },
    {
      "label": "Gtk_Unit",
      "docHref": "docs/gtk.enums.html#L543C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L543"
    },
    {
      "label": "Gtk_Widget_Help_Type",
      "docHref": "docs/gtk.widget.html#L288C9",
      "declared": "Gtk.Widget",
      "srcHref": "srcs/gtk-widget.ads.html#L288"
    },
    {
      "label": "Gtk_Window_Position",
      "docHref": "docs/gtk.enums.html#L551C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L551"
    },
    {
      "label": "Gtk_Window_Type",
      "docHref": "docs/gtk.enums.html#L563C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L563"
    },
    {
      "label": "Gtk_Wrap_Mode",
      "docHref": "docs/gtk.enums.html#L581C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L581"
    },
    {
      "label": "Gtkada_Application_Flags",
      "docHref": "docs/gtkada.application.html#L52C9",
      "declared": "Gtkada.Application",
      "srcHref": "srcs/gtkada-application.ads.html#L52"
    },
    {
      "label": "GType",
      "docHref": "docs/glib.html#L285C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L285"
    },
    {
      "label": "GType_Array",
      "docHref": "docs/glib.html#L303C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L303"
    },
    {
      "label": "GType_Class",
      "docHref": "docs/glib.html#L298C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L298"
    },
    {
      "label": "GType_Interface",
      "docHref": "docs/glib.types.html#L90C9",
      "declared": "Glib.Types",
      "srcHref": "srcs/glib-types.ads.html#L90"
    },
    {
      "label": "Guchar",
      "docHref": "docs/glib.html#L58C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L58"
    },
    {
      "label": "Guchar_Array",
      "docHref": "docs/glib.html#L116C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L116"
    },
    {
      "label": "Guint",
      "docHref": "docs/glib.html#L57C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L57"
    },
    {
      "label": "Guint16",
      "docHref": "docs/glib.html#L69C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L69"
    },
    {
      "label": "Guint32",
      "docHref": "docs/glib.html#L70C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L70"
    },
    {
      "label": "Guint32_Array",
      "docHref": "docs/glib.html#L112C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L112"
    },
    {
      "label": "Guint64",
      "docHref": "docs/glib.html#L71C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L71"
    },
    {
      "label": "Guint8",
      "docHref": "docs/glib.html#L68C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L68"
    },
    {
      "label": "Guint_Array",
      "docHref": "docs/glib.html#L111C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L111"
    },
    {
      "label": "Gulong",
      "docHref": "docs/glib.html#L56C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L56"
    },
    {
      "label": "Gulong_Array",
      "docHref": "docs/glib.html#L114C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L114"
    },
    {
      "label": "Gunichar",
      "docHref": "docs/glib.html#L79C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L79"
    },
    {
      "label": "Gushort",
      "docHref": "docs/glib.html#L55C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L55"
    },
    {
      "label": "Gushort_Array",
      "docHref": "docs/glib.html#L113C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L113"
    },
    {
      "label": "GValue_Array",
      "docHref": "docs/glib.values.html#L56C9",
      "declared": "Glib.Values",
      "srcHref": "srcs/glib-values.ads.html#L56"
    },
    {
      "label": "GVariant_Class",
      "docHref": "docs/glib.variant.html#L263C9",
      "declared": "Glib.Variant",
      "srcHref": "srcs/glib-variant.ads.html#L263"
    },
    {
      "label": "Image_Quality",
      "docHref": "docs/gdk.pixbuf.html#L137C9",
      "declared": "Gdk.Pixbuf",
      "srcHref": "srcs/gdk-pixbuf.ads.html#L137"
    },
    {
      "label": "Integer_List",
      "docHref": "docs/glib.key_file.html#L352C9",
      "declared": "Glib.Key_File",
      "srcHref": "srcs/glib-key_file.ads.html#L352"
    },
    {
      "label": "Interface_Description",
      "docHref": "docs/glib.object.html#L432C9",
      "declared": "Glib.Object",
      "srcHref": "srcs/glib-object.ads.html#L432"
    },
    {
      "label": "Item_Coordinate",
      "docHref": "docs/gtkada.canvas_view.html#L225C12",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L225"
    },
    {
      "label": "Item_Kind_Filter",
      "docHref": "docs/gtkada.canvas_view.html#L642C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L642"
    },
    {
      "label": "Item_Point_Array",
      "docHref": "docs/gtkada.canvas_view.html#L258C12",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L258"
    },
    {
      "label": "Item_Side",
      "docHref": "docs/gtkada.canvas.html#L703C9",
      "declared": "Gtkada.Canvas",
      "srcHref": "srcs/gtkada-canvas.ads.html#L703"
    },
    {
      "label": "Log_Handler_Id",
      "docHref": "docs/glib.messages.html#L68C9",
      "declared": "Glib.Messages",
      "srcHref": "srcs/glib-messages.ads.html#L68"
    },
    {
      "label": "Log_Level_Flags",
      "docHref": "docs/glib.messages.html#L33C9",
      "declared": "Glib.Messages",
      "srcHref": "srcs/glib-messages.ads.html#L33"
    },
    {
      "label": "Long_Array",
      "docHref": "docs/glib.html#L122C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L122"
    },
    {
      "label": "Manager_Item_Type",
      "docHref": "docs/gtk.ui_manager.html#L263C9",
      "declared": "Gtk.UI_Manager",
      "srcHref": "srcs/gtk-ui_manager.ads.html#L263"
    },
    {
      "label": "MDI_Child_Array",
      "docHref": "docs/gtkada.mdi.html#L78C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L78"
    },
    {
      "label": "Message_Dialog_Buttons",
      "docHref": "docs/gtkada.dialogs.html#L41C9",
      "declared": "Gtkada.Dialogs",
      "srcHref": "srcs/gtkada-dialogs.ads.html#L41"
    },
    {
      "label": "Message_Dialog_Type",
      "docHref": "docs/gtkada.dialogs.html#L58C9",
      "declared": "Gtkada.Dialogs",
      "srcHref": "srcs/gtkada-dialogs.ads.html#L58"
    },
    {
      "label": "Message_Id",
      "docHref": "docs/gtk.status_bar.html#L76C9",
      "declared": "Gtk.Status_Bar",
      "srcHref": "srcs/gtk-status_bar.ads.html#L76"
    },
    {
      "label": "Model_Coordinate",
      "docHref": "docs/gtkada.canvas_view.html#L223C12",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L223"
    },
    {
      "label": "Model_Point_Array",
      "docHref": "docs/gtkada.canvas_view.html#L255C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L255"
    },
    {
      "label": "Module_Flags",
      "docHref": "docs/glib.module.html#L32C9",
      "declared": "Glib.Module",
      "srcHref": "srcs/glib-module.ads.html#L32"
    },
    {
      "label": "Move_Direction",
      "docHref": "docs/gtkada.canvas_view.views.html#L426C9",
      "declared": "Gtkada.Canvas_View.Views",
      "srcHref": "srcs/gtkada-canvas_view-views.ads.html#L426"
    },
    {
      "label": "Overflow_Style",
      "docHref": "docs/gtkada.canvas_view.html#L1336C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L1336"
    },
    {
      "label": "Pango_Ellipsize_Mode",
      "docHref": "docs/pango.layout.html#L42C9",
      "declared": "Pango.Layout",
      "srcHref": "srcs/pango-layout.ads.html#L42"
    },
    {
      "label": "Pango_Font_Face_Array",
      "docHref": "docs/pango.font_face.html#L36C9",
      "declared": "Pango.Font_Face",
      "srcHref": "srcs/pango-font_face.ads.html#L36"
    },
    {
      "label": "Pango_Font_Family_Array",
      "docHref": "docs/pango.font_family.html#L36C9",
      "declared": "Pango.Font_Family",
      "srcHref": "srcs/pango-font_family.ads.html#L36"
    },
    {
      "label": "Pango_Glyph",
      "docHref": "docs/pango.html#L41C9",
      "declared": "Pango",
      "srcHref": "srcs/pango.ads.html#L41"
    },
    {
      "label": "Pango_Script",
      "docHref": "docs/pango.language.html#L39C9",
      "declared": "Pango.Language",
      "srcHref": "srcs/pango-language.ads.html#L39"
    },
    {
      "label": "Pango_Script_Array",
      "docHref": "docs/pango.language.html#L223C9",
      "declared": "Pango.Language",
      "srcHref": "srcs/pango-language.ads.html#L223"
    },
    {
      "label": "Pango_Tab_Align",
      "docHref": "docs/pango.tabs.html#L39C9",
      "declared": "Pango.Tabs",
      "srcHref": "srcs/pango-tabs.ads.html#L39"
    },
    {
      "label": "Param_Flags",
      "docHref": "docs/glib.html#L271C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L271"
    },
    {
      "label": "Param_Spec_Array",
      "docHref": "docs/glib.html#L268C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L268"
    },
    {
      "label": "Path_Data_Array",
      "docHref": "docs/cairo.html#L2585C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L2585"
    },
    {
      "label": "Percent",
      "docHref": "docs/gtkada.style.html#L114C12",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L114"
    },
    {
      "label": "Point_Array",
      "docHref": "docs/gtkada.style.html#L294C9",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L294"
    },
    {
      "label": "Print_Operation_Preview_Interface_Descr",
      "docHref": "docs/gtk.print_operation_preview.html#L187C12",
      "declared": "Gtk.Print_Operation_Preview",
      "srcHref": "srcs/gtk-print_operation_preview.ads.html#L187"
    },
    {
      "label": "Priority",
      "docHref": "docs/gtk.style_provider.html#L74C12",
      "declared": "Gtk.Style_Provider",
      "srcHref": "srcs/gtk-style_provider.ads.html#L74"
    },
    {
      "label": "Property",
      "docHref": "docs/glib.generic_properties.html#L68C12",
      "declared": "Glib.Generic_Properties.Generic_Internal_Discrete_Property",
      "srcHref": "srcs/glib-generic_properties.ads.html#L68"
    },
    {
      "label": "Property",
      "docHref": "docs/glib.generic_properties.html#L116C12",
      "declared": "Glib.Generic_Properties.Generic_Enumeration_Property",
      "srcHref": "srcs/glib-generic_properties.ads.html#L116"
    },
    {
      "label": "Property",
      "docHref": "docs/glib.generic_properties.html#L180C12",
      "declared": "Glib.Generic_Properties.Generic_Internal_Boxed_Property",
      "srcHref": "srcs/glib-generic_properties.ads.html#L180"
    },
    {
      "label": "Property",
      "docHref": "docs/glib.html#L254C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L254"
    },
    {
      "label": "Property_Address",
      "docHref": "docs/glib.properties.html#L122C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L122"
    },
    {
      "label": "Property_Alignment",
      "docHref": "docs/pango.enums.html#L216C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L216"
    },
    {
      "label": "Property_Attr_Type",
      "docHref": "docs/pango.enums.html#L220C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L220"
    },
    {
      "label": "Property_Boolean",
      "docHref": "docs/glib.properties.html#L119C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L119"
    },
    {
      "label": "Property_Boxed",
      "docHref": "docs/glib.properties.html#L126C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L126"
    },
    {
      "label": "Property_C_Proxy",
      "docHref": "docs/glib.properties.html#L114C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L114"
    },
    {
      "label": "Property_Char",
      "docHref": "docs/glib.properties.html#L102C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L102"
    },
    {
      "label": "Property_Char_RO",
      "docHref": "docs/glib.properties.html#L103C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L103"
    },
    {
      "label": "Property_Coverage_Level",
      "docHref": "docs/pango.enums.html#L224C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L224"
    },
    {
      "label": "Property_Direction",
      "docHref": "docs/pango.enums.html#L228C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L228"
    },
    {
      "label": "Property_Double",
      "docHref": "docs/glib.properties.html#L124C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L124"
    },
    {
      "label": "Property_Enum",
      "docHref": "docs/glib.properties.html#L125C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L125"
    },
    {
      "label": "Property_Float",
      "docHref": "docs/glib.properties.html#L123C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L123"
    },
    {
      "label": "Property_Font_Description",
      "docHref": "docs/pango.font.html#L365C9",
      "declared": "Pango.Font",
      "srcHref": "srcs/pango-font.ads.html#L365"
    },
    {
      "label": "Property_Font_Mask",
      "docHref": "docs/pango.enums.html#L232C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L232"
    },
    {
      "label": "Property_GApplication_Flags",
      "docHref": "docs/glib.application.html#L198C9",
      "declared": "Glib.Application",
      "srcHref": "srcs/glib-application.ads.html#L198"
    },
    {
      "label": "Property_Gdk_Color",
      "docHref": "docs/gdk.color.html#L143C9",
      "declared": "Gdk.Color",
      "srcHref": "srcs/gdk-color.ads.html#L143"
    },
    {
      "label": "Property_Gdk_Crossing_Mode",
      "docHref": "docs/gdk.event.html#L829C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L829"
    },
    {
      "label": "Property_Gdk_Cursor_Type",
      "docHref": "docs/gdk.cursor.html#L212C9",
      "declared": "Gdk.Cursor",
      "srcHref": "srcs/gdk-cursor.ads.html#L212"
    },
    {
      "label": "Property_Gdk_Device_Type",
      "docHref": "docs/gdk.device.html#L71C9",
      "declared": "Gdk.Device",
      "srcHref": "srcs/gdk-device.ads.html#L71"
    },
    {
      "label": "Property_Gdk_Drag_Action",
      "docHref": "docs/gdk.drag_contexts.html#L68C9",
      "declared": "Gdk.Drag_Contexts",
      "srcHref": "srcs/gdk-drag_contexts.ads.html#L68"
    },
    {
      "label": "Property_Gdk_Drag_Protocol",
      "docHref": "docs/gdk.drag_contexts.html#L72C9",
      "declared": "Gdk.Drag_Contexts",
      "srcHref": "srcs/gdk-drag_contexts.ads.html#L72"
    },
    {
      "label": "Property_Gdk_Event_Mask",
      "docHref": "docs/gdk.event.html#L813C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L813"
    },
    {
      "label": "Property_Gdk_Event_Type",
      "docHref": "docs/gdk.event.html#L809C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L809"
    },
    {
      "label": "Property_Gdk_Extension_Mode",
      "docHref": "docs/gdk.types.html#L218C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L218"
    },
    {
      "label": "Property_Gdk_Frame_Clock_Phase",
      "docHref": "docs/gdk.frame_clock.html#L93C9",
      "declared": "Gdk.Frame_Clock",
      "srcHref": "srcs/gdk-frame_clock.ads.html#L93"
    },
    {
      "label": "Property_Gdk_Fullscreen_Mode",
      "docHref": "docs/gdk.window.html#L339C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L339"
    },
    {
      "label": "Property_Gdk_Gravity",
      "docHref": "docs/gdk.window.html#L335C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L335"
    },
    {
      "label": "Property_Gdk_Notify_Type",
      "docHref": "docs/gdk.event.html#L825C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L825"
    },
    {
      "label": "Property_Gdk_Owner_Change",
      "docHref": "docs/gdk.event.html#L845C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L845"
    },
    {
      "label": "Property_Gdk_Property_State",
      "docHref": "docs/gdk.event.html#L833C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L833"
    },
    {
      "label": "Property_Gdk_Scroll_Direction",
      "docHref": "docs/gdk.event.html#L821C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L821"
    },
    {
      "label": "Property_Gdk_Setting_Action",
      "docHref": "docs/gdk.event.html#L841C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L841"
    },
    {
      "label": "Property_Gdk_Visibility_State",
      "docHref": "docs/gdk.event.html#L817C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L817"
    },
    {
      "label": "Property_Gdk_Window_Attributes_Type",
      "docHref": "docs/gdk.window.html#L315C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L315"
    },
    {
      "label": "Property_Gdk_Window_Class",
      "docHref": "docs/gdk.window.html#L303C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L303"
    },
    {
      "label": "Property_Gdk_Window_Edge",
      "docHref": "docs/gdk.window.html#L307C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L307"
    },
    {
      "label": "Property_Gdk_Window_Hints",
      "docHref": "docs/gdk.window.html#L319C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L319"
    },
    {
      "label": "Property_Gdk_Window_State",
      "docHref": "docs/gdk.event.html#L837C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L837"
    },
    {
      "label": "Property_Gdk_Window_Type",
      "docHref": "docs/gdk.window.html#L311C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L311"
    },
    {
      "label": "Property_Gdk_Window_Type_Hint",
      "docHref": "docs/gdk.window.html#L323C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L323"
    },
    {
      "label": "Property_Gdk_WMDecoration",
      "docHref": "docs/gdk.window.html#L327C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L327"
    },
    {
      "label": "Property_Gdk_WMFunction",
      "docHref": "docs/gdk.window.html#L331C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L331"
    },
    {
      "label": "Property_GOption_Arg",
      "docHref": "docs/glib.option.html#L136C9",
      "declared": "Glib.Option",
      "srcHref": "srcs/glib-option.ads.html#L136"
    },
    {
      "label": "Property_GOption_Error",
      "docHref": "docs/glib.option.html#L132C9",
      "declared": "Glib.Option",
      "srcHref": "srcs/glib-option.ads.html#L132"
    },
    {
      "label": "Property_GOption_Flags",
      "docHref": "docs/glib.option.html#L140C9",
      "declared": "Glib.Option",
      "srcHref": "srcs/glib-option.ads.html#L140"
    },
    {
      "label": "Property_Gravity",
      "docHref": "docs/pango.enums.html#L236C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L236"
    },
    {
      "label": "Property_GravityHint",
      "docHref": "docs/pango.enums.html#L240C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L240"
    },
    {
      "label": "Property_Gtk_Accel_Flags",
      "docHref": "docs/gtk.accel_group.html#L104C9",
      "declared": "Gtk.Accel_Group",
      "srcHref": "srcs/gtk-accel_group.ads.html#L104"
    },
    {
      "label": "Property_Gtk_Accel_Flags",
      "docHref": "docs/gtk.target_list.html#L62C9",
      "declared": "Gtk.Target_List",
      "srcHref": "srcs/gtk-target_list.ads.html#L62"
    },
    {
      "label": "Property_Gtk_Align",
      "docHref": "docs/gtk.widget.html#L378C9",
      "declared": "Gtk.Widget",
      "srcHref": "srcs/gtk-widget.ads.html#L378"
    },
    {
      "label": "Property_Gtk_Application_Inhibit_Flags",
      "docHref": "docs/gtk.application.html#L121C9",
      "declared": "Gtk.Application",
      "srcHref": "srcs/gtk-application.ads.html#L121"
    },
    {
      "label": "Property_Gtk_Arrow_Type",
      "docHref": "docs/gtk.enums.html#L595C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L595"
    },
    {
      "label": "Property_Gtk_Assistant_Page_Type",
      "docHref": "docs/gtk.assistant.html#L106C9",
      "declared": "Gtk.Assistant",
      "srcHref": "srcs/gtk-assistant.ads.html#L106"
    },
    {
      "label": "Property_Gtk_Attach_Options",
      "docHref": "docs/gtk.enums.html#L599C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L599"
    },
    {
      "label": "Property_Gtk_Button_Box_Style",
      "docHref": "docs/gtk.enums.html#L603C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L603"
    },
    {
      "label": "Property_Gtk_Buttons_Type",
      "docHref": "docs/gtk.message_dialog.html#L128C9",
      "declared": "Gtk.Message_Dialog",
      "srcHref": "srcs/gtk-message_dialog.ads.html#L128"
    },
    {
      "label": "Property_Gtk_Calendar_Display_Options",
      "docHref": "docs/gtk.calendar.html#L102C9",
      "declared": "Gtk.Calendar",
      "srcHref": "srcs/gtk-calendar.ads.html#L102"
    },
    {
      "label": "Property_Gtk_Cell_Renderer_Mode",
      "docHref": "docs/gtk.cell_renderer.html#L119C9",
      "declared": "Gtk.Cell_Renderer",
      "srcHref": "srcs/gtk-cell_renderer.ads.html#L119"
    },
    {
      "label": "Property_Gtk_Cell_Renderer_State",
      "docHref": "docs/gtk.cell_renderer.html#L115C9",
      "declared": "Gtk.Cell_Renderer",
      "srcHref": "srcs/gtk-cell_renderer.ads.html#L115"
    },
    {
      "label": "Property_Gtk_Corner_Type",
      "docHref": "docs/gtk.enums.html#L607C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L607"
    },
    {
      "label": "Property_Gtk_Css_Section_Type",
      "docHref": "docs/gtk.css_section.html#L70C9",
      "declared": "Gtk.Css_Section",
      "srcHref": "srcs/gtk-css_section.ads.html#L70"
    },
    {
      "label": "Property_Gtk_Delete_Type",
      "docHref": "docs/gtk.enums.html#L611C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L611"
    },
    {
      "label": "Property_Gtk_Dest_Defaults",
      "docHref": "docs/gtk.tool_palette.html#L124C9",
      "declared": "Gtk.Tool_Palette",
      "srcHref": "srcs/gtk-tool_palette.ads.html#L124"
    },
    {
      "label": "Property_Gtk_Direction_Type",
      "docHref": "docs/gtk.enums.html#L615C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L615"
    },
    {
      "label": "Property_Gtk_Drag_Result",
      "docHref": "docs/gtk.enums.html#L619C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L619"
    },
    {
      "label": "Property_Gtk_Entry_Icon_Position",
      "docHref": "docs/gtk.gentry.html#L115C9",
      "declared": "Gtk.GEntry",
      "srcHref": "srcs/gtk-gentry.ads.html#L115"
    },
    {
      "label": "Property_Gtk_Expander_Style",
      "docHref": "docs/gtk.enums.html#L623C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L623"
    },
    {
      "label": "Property_Gtk_File_Chooser_Action",
      "docHref": "docs/gtk.file_chooser.html#L378C9",
      "declared": "Gtk.File_Chooser",
      "srcHref": "srcs/gtk-file_chooser.ads.html#L378"
    },
    {
      "label": "Property_Gtk_File_Chooser_Confirmation",
      "docHref": "docs/gtk.file_chooser.html#L382C9",
      "declared": "Gtk.File_Chooser",
      "srcHref": "srcs/gtk-file_chooser.ads.html#L382"
    },
    {
      "label": "Property_Gtk_File_Chooser_Error",
      "docHref": "docs/gtk.file_chooser.html#L386C9",
      "declared": "Gtk.File_Chooser",
      "srcHref": "srcs/gtk-file_chooser.ads.html#L386"
    },
    {
      "label": "Property_Gtk_File_Filter_Flags",
      "docHref": "docs/gtk.file_filter.html#L119C9",
      "declared": "Gtk.File_Filter",
      "srcHref": "srcs/gtk-file_filter.ads.html#L119"
    },
    {
      "label": "Property_Gtk_Icon_Lookup_Flags",
      "docHref": "docs/gtk.icon_theme.html#L133C9",
      "declared": "Gtk.Icon_Theme",
      "srcHref": "srcs/gtk-icon_theme.ads.html#L133"
    },
    {
      "label": "Property_Gtk_Icon_Size",
      "docHref": "docs/gtk.enums.html#L627C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L627"
    },
    {
      "label": "Property_Gtk_Icon_View_Drop_Position",
      "docHref": "docs/gtk.icon_view.html#L109C9",
      "declared": "Gtk.Icon_View",
      "srcHref": "srcs/gtk-icon_view.ads.html#L109"
    },
    {
      "label": "Property_Gtk_Image_Type",
      "docHref": "docs/gtk.image.html#L142C9",
      "declared": "Gtk.Image",
      "srcHref": "srcs/gtk-image.ads.html#L142"
    },
    {
      "label": "Property_Gtk_Input_Hints",
      "docHref": "docs/gtk.enums.html#L647C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L647"
    },
    {
      "label": "Property_Gtk_Input_Purpose",
      "docHref": "docs/gtk.enums.html#L651C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L651"
    },
    {
      "label": "Property_Gtk_Junction_Sides",
      "docHref": "docs/gtk.enums.html#L631C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L631"
    },
    {
      "label": "Property_Gtk_Justification",
      "docHref": "docs/gtk.enums.html#L635C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L635"
    },
    {
      "label": "Property_Gtk_Level_Bar_Mode",
      "docHref": "docs/gtk.enums.html#L679C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L679"
    },
    {
      "label": "Property_Gtk_License",
      "docHref": "docs/gtk.about_dialog.html#L100C9",
      "declared": "Gtk.About_Dialog",
      "srcHref": "srcs/gtk-about_dialog.ads.html#L100"
    },
    {
      "label": "Property_Gtk_Menu_Direction_Type",
      "docHref": "docs/gtk.enums.html#L639C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L639"
    },
    {
      "label": "Property_Gtk_Message_Type",
      "docHref": "docs/gtk.message_dialog.html#L124C9",
      "declared": "Gtk.Message_Dialog",
      "srcHref": "srcs/gtk-message_dialog.ads.html#L124"
    },
    {
      "label": "Property_Gtk_Movement_Step",
      "docHref": "docs/gtk.enums.html#L643C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L643"
    },
    {
      "label": "Property_Gtk_Notebook_Tab",
      "docHref": "docs/gtk.notebook.html#L95C9",
      "declared": "Gtk.Notebook",
      "srcHref": "srcs/gtk-notebook.ads.html#L95"
    },
    {
      "label": "Property_Gtk_Number_Up_Layout",
      "docHref": "docs/gtk.enums.html#L655C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L655"
    },
    {
      "label": "Property_Gtk_Orientation",
      "docHref": "docs/gtk.enums.html#L659C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L659"
    },
    {
      "label": "Property_Gtk_Pack_Direction",
      "docHref": "docs/gtk.enums.html#L663C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L663"
    },
    {
      "label": "Property_Gtk_Pack_Type",
      "docHref": "docs/gtk.enums.html#L667C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L667"
    },
    {
      "label": "Property_Gtk_Page_Orientation",
      "docHref": "docs/gtk.enums.html#L671C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L671"
    },
    {
      "label": "Property_Gtk_Page_Set",
      "docHref": "docs/gtk.enums.html#L675C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L675"
    },
    {
      "label": "Property_Gtk_Path_Priority_Type",
      "docHref": "docs/gtk.enums.html#L683C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L683"
    },
    {
      "label": "Property_Gtk_Path_Type",
      "docHref": "docs/gtk.enums.html#L687C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L687"
    },
    {
      "label": "Property_Gtk_Policy_Type",
      "docHref": "docs/gtk.enums.html#L691C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L691"
    },
    {
      "label": "Property_Gtk_Position_Type",
      "docHref": "docs/gtk.enums.html#L695C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L695"
    },
    {
      "label": "Property_Gtk_Print_Duplex",
      "docHref": "docs/gtk.enums.html#L699C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L699"
    },
    {
      "label": "Property_Gtk_Print_Error",
      "docHref": "docs/gtk.print_operation.html#L159C9",
      "declared": "Gtk.Print_Operation",
      "srcHref": "srcs/gtk-print_operation.ads.html#L159"
    },
    {
      "label": "Property_Gtk_Print_Operation_Action",
      "docHref": "docs/gtk.print_operation.html#L155C9",
      "declared": "Gtk.Print_Operation",
      "srcHref": "srcs/gtk-print_operation.ads.html#L155"
    },
    {
      "label": "Property_Gtk_Print_Operation_Result",
      "docHref": "docs/gtk.print_operation.html#L151C9",
      "declared": "Gtk.Print_Operation",
      "srcHref": "srcs/gtk-print_operation.ads.html#L151"
    },
    {
      "label": "Property_Gtk_Print_Pages",
      "docHref": "docs/gtk.enums.html#L703C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L703"
    },
    {
      "label": "Property_Gtk_Print_Quality",
      "docHref": "docs/gtk.enums.html#L707C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L707"
    },
    {
      "label": "Property_Gtk_Print_Status",
      "docHref": "docs/gtk.print_operation.html#L147C9",
      "declared": "Gtk.Print_Operation",
      "srcHref": "srcs/gtk-print_operation.ads.html#L147"
    },
    {
      "label": "Property_Gtk_Recent_Filter_Flags",
      "docHref": "docs/gtk.recent_filter.html#L137C9",
      "declared": "Gtk.Recent_Filter",
      "srcHref": "srcs/gtk-recent_filter.ads.html#L137"
    },
    {
      "label": "Property_Gtk_Recent_Sort_Type",
      "docHref": "docs/gtk.recent_chooser.html#L75C9",
      "declared": "Gtk.Recent_Chooser",
      "srcHref": "srcs/gtk-recent_chooser.ads.html#L75"
    },
    {
      "label": "Property_Gtk_Region_Flags",
      "docHref": "docs/gtk.enums.html#L711C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L711"
    },
    {
      "label": "Property_Gtk_Relief_Style",
      "docHref": "docs/gtk.enums.html#L715C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L715"
    },
    {
      "label": "Property_Gtk_Resize_Mode",
      "docHref": "docs/gtk.enums.html#L719C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L719"
    },
    {
      "label": "Property_Gtk_Scroll_Step",
      "docHref": "docs/gtk.enums.html#L723C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L723"
    },
    {
      "label": "Property_Gtk_Scroll_Type",
      "docHref": "docs/gtk.enums.html#L727C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L727"
    },
    {
      "label": "Property_Gtk_Scrollable_Policy",
      "docHref": "docs/gtk.enums.html#L731C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L731"
    },
    {
      "label": "Property_Gtk_Selection_Mode",
      "docHref": "docs/gtk.enums.html#L735C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L735"
    },
    {
      "label": "Property_Gtk_Sensitivity_Type",
      "docHref": "docs/gtk.enums.html#L739C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L739"
    },
    {
      "label": "Property_Gtk_Shadow_Type",
      "docHref": "docs/gtk.enums.html#L743C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L743"
    },
    {
      "label": "Property_Gtk_Size_Request_Mode",
      "docHref": "docs/gtk.enums.html#L747C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L747"
    },
    {
      "label": "Property_Gtk_Sort_Type",
      "docHref": "docs/gtk.enums.html#L751C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L751"
    },
    {
      "label": "Property_Gtk_Spin_Button_Update_Policy",
      "docHref": "docs/gtk.spin_button.html#L141C9",
      "declared": "Gtk.Spin_Button",
      "srcHref": "srcs/gtk-spin_button.ads.html#L141"
    },
    {
      "label": "Property_Gtk_Spin_Type",
      "docHref": "docs/gtk.spin_button.html#L137C9",
      "declared": "Gtk.Spin_Button",
      "srcHref": "srcs/gtk-spin_button.ads.html#L137"
    },
    {
      "label": "Property_Gtk_State_Flags",
      "docHref": "docs/gtk.enums.html#L755C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L755"
    },
    {
      "label": "Property_Gtk_State_Type",
      "docHref": "docs/gtk.enums.html#L759C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L759"
    },
    {
      "label": "Property_Gtk_Target_Flags",
      "docHref": "docs/gtk.enums.html#L763C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L763"
    },
    {
      "label": "Property_Gtk_Text_Direction",
      "docHref": "docs/gtk.enums.html#L767C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L767"
    },
    {
      "label": "Property_Gtk_Text_Search_Flags",
      "docHref": "docs/gtk.text_iter.html#L70C9",
      "declared": "Gtk.Text_Iter",
      "srcHref": "srcs/gtk-text_iter.ads.html#L70"
    },
    {
      "label": "Property_Gtk_Text_Window_Type",
      "docHref": "docs/gtk.enums.html#L771C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L771"
    },
    {
      "label": "Property_Gtk_Tool_Palette_Drag_Targets",
      "docHref": "docs/gtk.tool_palette.html#L128C9",
      "declared": "Gtk.Tool_Palette",
      "srcHref": "srcs/gtk-tool_palette.ads.html#L128"
    },
    {
      "label": "Property_Gtk_Toolbar_Space_Style",
      "docHref": "docs/gtk.enums.html#L779C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L779"
    },
    {
      "label": "Property_Gtk_Toolbar_Style",
      "docHref": "docs/gtk.enums.html#L783C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L783"
    },
    {
      "label": "Property_Gtk_Tree_View_Column_Sizing",
      "docHref": "docs/gtk.tree_view_column.html#L94C9",
      "declared": "Gtk.Tree_View_Column",
      "srcHref": "srcs/gtk-tree_view_column.ads.html#L94"
    },
    {
      "label": "Property_Gtk_Tree_View_Drop_Position",
      "docHref": "docs/gtk.tree_view.html#L217C9",
      "declared": "Gtk.Tree_View",
      "srcHref": "srcs/gtk-tree_view.ads.html#L217"
    },
    {
      "label": "Property_Gtk_Tree_View_Grid_Lines",
      "docHref": "docs/gtk.enums.html#L775C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L775"
    },
    {
      "label": "Property_Gtk_Unit",
      "docHref": "docs/gtk.enums.html#L787C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L787"
    },
    {
      "label": "Property_Gtk_Widget_Help_Type",
      "docHref": "docs/gtk.widget.html#L382C9",
      "declared": "Gtk.Widget",
      "srcHref": "srcs/gtk-widget.ads.html#L382"
    },
    {
      "label": "Property_Gtk_Window_Position",
      "docHref": "docs/gtk.enums.html#L791C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L791"
    },
    {
      "label": "Property_Gtk_Window_Type",
      "docHref": "docs/gtk.enums.html#L795C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L795"
    },
    {
      "label": "Property_Gtk_Wrap_Mode",
      "docHref": "docs/gtk.enums.html#L799C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L799"
    },
    {
      "label": "Property_GVariant_Class",
      "docHref": "docs/glib.variant.html#L316C9",
      "declared": "Glib.Variant",
      "srcHref": "srcs/glib-variant.ads.html#L316"
    },
    {
      "label": "Property_Id",
      "docHref": "docs/glib.properties.creation.html#L403C9",
      "declared": "Glib.Properties.Creation",
      "srcHref": "srcs/glib-properties-creation.ads.html#L403"
    },
    {
      "label": "Property_Int",
      "docHref": "docs/glib.properties.html#L106C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L106"
    },
    {
      "label": "Property_Interface",
      "docHref": "docs/glib.properties.html#L115C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L115"
    },
    {
      "label": "Property_Long",
      "docHref": "docs/glib.properties.html#L110C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L110"
    },
    {
      "label": "Property_Long_RO",
      "docHref": "docs/glib.properties.html#L109C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L109"
    },
    {
      "label": "Property_Manager_Item_Type",
      "docHref": "docs/gtk.ui_manager.html#L286C9",
      "declared": "Gtk.UI_Manager",
      "srcHref": "srcs/gtk-ui_manager.ads.html#L286"
    },
    {
      "label": "Property_Object",
      "docHref": "docs/glib.properties.html#L120C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L120"
    },
    {
      "label": "Property_Object_WO",
      "docHref": "docs/glib.properties.html#L121C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L121"
    },
    {
      "label": "Property_Pango_Ellipsize_Mode",
      "docHref": "docs/pango.layout.html#L70C9",
      "declared": "Pango.Layout",
      "srcHref": "srcs/pango-layout.ads.html#L70"
    },
    {
      "label": "Property_Pango_Script",
      "docHref": "docs/pango.language.html#L231C9",
      "declared": "Pango.Language",
      "srcHref": "srcs/pango-language.ads.html#L231"
    },
    {
      "label": "Property_Pango_Tab_Align",
      "docHref": "docs/pango.tabs.html#L49C9",
      "declared": "Pango.Tabs",
      "srcHref": "srcs/pango-tabs.ads.html#L49"
    },
    {
      "label": "Property_RGBA",
      "docHref": "docs/gdk.rgba.html#L129C9",
      "declared": "Gdk.RGBA",
      "srcHref": "srcs/gdk-rgba.ads.html#L129"
    },
    {
      "label": "Property_RO",
      "docHref": "docs/glib.generic_properties.html#L67C12",
      "declared": "Glib.Generic_Properties.Generic_Internal_Discrete_Property",
      "srcHref": "srcs/glib-generic_properties.ads.html#L67"
    },
    {
      "label": "Property_RO",
      "docHref": "docs/glib.generic_properties.html#L115C12",
      "declared": "Glib.Generic_Properties.Generic_Enumeration_Property",
      "srcHref": "srcs/glib-generic_properties.ads.html#L115"
    },
    {
      "label": "Property_RO",
      "docHref": "docs/glib.generic_properties.html#L179C12",
      "declared": "Glib.Generic_Properties.Generic_Internal_Boxed_Property",
      "srcHref": "srcs/glib-generic_properties.ads.html#L179"
    },
    {
      "label": "Property_Size_Group_Mode",
      "docHref": "docs/gtk.size_group.html#L124C9",
      "declared": "Gtk.Size_Group",
      "srcHref": "srcs/gtk-size_group.ads.html#L124"
    },
    {
      "label": "Property_Stretch",
      "docHref": "docs/pango.enums.html#L244C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L244"
    },
    {
      "label": "Property_String",
      "docHref": "docs/glib.properties.html#L118C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L118"
    },
    {
      "label": "Property_String_RO",
      "docHref": "docs/glib.properties.html#L116C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L116"
    },
    {
      "label": "Property_String_WO",
      "docHref": "docs/glib.properties.html#L117C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L117"
    },
    {
      "label": "Property_Style",
      "docHref": "docs/pango.enums.html#L248C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L248"
    },
    {
      "label": "Property_Tree_Model_Flags",
      "docHref": "docs/gtk.tree_model.html#L262C9",
      "declared": "Gtk.Tree_Model",
      "srcHref": "srcs/gtk-tree_model.ads.html#L262"
    },
    {
      "label": "Property_Uchar",
      "docHref": "docs/glib.properties.html#L104C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L104"
    },
    {
      "label": "Property_Uchar_RO",
      "docHref": "docs/glib.properties.html#L105C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L105"
    },
    {
      "label": "Property_Uint",
      "docHref": "docs/glib.properties.html#L108C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L108"
    },
    {
      "label": "Property_Uint_RO",
      "docHref": "docs/glib.properties.html#L107C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L107"
    },
    {
      "label": "Property_Ulong",
      "docHref": "docs/glib.properties.html#L112C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L112"
    },
    {
      "label": "Property_Ulong_RO",
      "docHref": "docs/glib.properties.html#L111C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L111"
    },
    {
      "label": "Property_Underline",
      "docHref": "docs/pango.enums.html#L252C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L252"
    },
    {
      "label": "Property_Unichar",
      "docHref": "docs/glib.properties.html#L113C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L113"
    },
    {
      "label": "Property_Variant",
      "docHref": "docs/pango.enums.html#L256C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L256"
    },
    {
      "label": "Property_Weight",
      "docHref": "docs/pango.enums.html#L260C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L260"
    },
    {
      "label": "Property_Wrap_Mode",
      "docHref": "docs/pango.enums.html#L264C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L264"
    },
    {
      "label": "Radio_Action_Entry_Array",
      "docHref": "docs/gtk.action_group.html#L333C9",
      "declared": "Gtk.Action_Group",
      "srcHref": "srcs/gtk-action_group.ads.html#L333"
    },
    {
      "label": "Response_Type_Array",
      "docHref": "docs/gtk.dialog.html#L205C9",
      "declared": "Gtk.Dialog",
      "srcHref": "srcs/gtk-dialog.ads.html#L205"
    },
    {
      "label": "RGB24_Array",
      "docHref": "docs/cairo.image_surface.html#L88C9",
      "declared": "Cairo.Image_Surface",
      "srcHref": "srcs/cairo-image_surface.ads.html#L88"
    },
    {
      "label": "Route_Style",
      "docHref": "docs/gtkada.canvas_view.html#L333C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L333"
    },
    {
      "label": "Selection_Mode",
      "docHref": "docs/gtkada.canvas_view.html#L763C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L763"
    },
    {
      "label": "Short_Array",
      "docHref": "docs/glib.html#L121C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L121"
    },
    {
      "label": "Show_Tabs_Policy_Enum",
      "docHref": "docs/gtkada.mdi.html#L127C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L127"
    },
    {
      "label": "Side_Attachment",
      "docHref": "docs/gtkada.canvas_view.html#L284C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L284"
    },
    {
      "label": "Side_Position",
      "docHref": "docs/gtkada.mdi.html#L278C12",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L278"
    },
    {
      "label": "Signal_Id",
      "docHref": "docs/glib.html#L227C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L227"
    },
    {
      "label": "Signal_Id_Array",
      "docHref": "docs/glib.object.html#L183C9",
      "declared": "Glib.Object",
      "srcHref": "srcs/glib-object.ads.html#L183"
    },
    {
      "label": "Signal_Name",
      "docHref": "docs/glib.html#L230C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L230"
    },
    {
      "label": "Signal_Parameter_Types",
      "docHref": "docs/glib.object.html#L269C9",
      "declared": "Glib.Object",
      "srcHref": "srcs/glib-object.ads.html#L269"
    },
    {
      "label": "Signal_Return_Types",
      "docHref": "docs/glib.object.html#L285C9",
      "declared": "Glib.Object",
      "srcHref": "srcs/glib-object.ads.html#L285"
    },
    {
      "label": "Size_Group_Mode",
      "docHref": "docs/gtk.size_group.html#L109C9",
      "declared": "Gtk.Size_Group",
      "srcHref": "srcs/gtk-size_group.ads.html#L109"
    },
    {
      "label": "Specific_Direction",
      "docHref": "docs/gtkada.canvas_view.views.html#L428C9",
      "declared": "Gtkada.Canvas_View.Views",
      "srcHref": "srcs/gtkada-canvas_view-views.ads.html#L428"
    },
    {
      "label": "Split_Mode",
      "docHref": "docs/gtkada.mdi.html#L657C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L657"
    },
    {
      "label": "State_Type",
      "docHref": "docs/gtkada.mdi.html#L81C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L81"
    },
    {
      "label": "Stretch",
      "docHref": "docs/pango.enums.html#L141C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L141"
    },
    {
      "label": "Style",
      "docHref": "docs/pango.enums.html#L154C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L154"
    },
    {
      "label": "Symbol_Name",
      "docHref": "docs/gtkada.style.html#L257C9",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L257"
    },
    {
      "label": "Target_Entry_Array",
      "docHref": "docs/gtk.target_list.html#L134C9",
      "declared": "Gtk.Target_List",
      "srcHref": "srcs/gtk-target_list.ads.html#L134"
    },
    {
      "label": "Text_Arrow_Direction",
      "docHref": "docs/gtkada.canvas_view.html#L1633C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L1633"
    },
    {
      "label": "time_t",
      "docHref": "docs/gtk.recent_info.html#L48C12",
      "declared": "Gtk.Recent_Info",
      "srcHref": "srcs/gtk-recent_info.ads.html#L48"
    },
    {
      "label": "Title_Bars_Policy",
      "docHref": "docs/gtkada.mdi.html#L128C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L128"
    },
    {
      "label": "Toggle_Action_Entry_Array",
      "docHref": "docs/gtk.action_group.html#L335C9",
      "declared": "Gtk.Action_Group",
      "srcHref": "srcs/gtk-action_group.ads.html#L335"
    },
    {
      "label": "Tool_Shell_Interface_Descr",
      "docHref": "docs/gtk.tool_shell.html#L202C12",
      "declared": "Gtk.Tool_Shell",
      "srcHref": "srcs/gtk-tool_shell.ads.html#L202"
    },
    {
      "label": "Tree_Drag_Dest_Interface_Descr",
      "docHref": "docs/gtk.tree_drag_dest.html#L117C12",
      "declared": "Gtk.Tree_Drag_Dest",
      "srcHref": "srcs/gtk-tree_drag_dest.ads.html#L117"
    },
    {
      "label": "Tree_Drag_Source_Interface_Descr",
      "docHref": "docs/gtk.tree_drag_source.html#L160C12",
      "declared": "Gtk.Tree_Drag_Source",
      "srcHref": "srcs/gtk-tree_drag_source.ads.html#L160"
    },
    {
      "label": "Tree_Model_Flags",
      "docHref": "docs/gtk.tree_model.html#L211C9",
      "declared": "Gtk.Tree_Model",
      "srcHref": "srcs/gtk-tree_model.ads.html#L211"
    },
    {
      "label": "Tree_Model_Interface_Descr",
      "docHref": "docs/gtk.tree_model.html#L1127C12",
      "declared": "Gtk.Tree_Model",
      "srcHref": "srcs/gtk-tree_model.ads.html#L1127"
    },
    {
      "label": "Tree_Sortable_Interface_Descr",
      "docHref": "docs/gtk.tree_sortable.html#L344C12",
      "declared": "Gtk.Tree_Sortable",
      "srcHref": "srcs/gtk-tree_sortable.ads.html#L344"
    },
    {
      "label": "Unbounded_Array",
      "docHref": "docs/gtkada.c.html#L72C12",
      "declared": "Gtkada.C.Unbounded_Arrays",
      "srcHref": "srcs/gtkada-c.ads.html#L72"
    },
    {
      "label": "Unchecked_Rgb_Buffer",
      "docHref": "docs/gdk.pixbuf.html#L164C9",
      "declared": "Gdk.Pixbuf",
      "srcHref": "srcs/gdk-pixbuf.ads.html#L164"
    },
    {
      "label": "Underline",
      "docHref": "docs/pango.enums.html#L161C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L161"
    },
    {
      "label": "UTF8_String",
      "docHref": "docs/glib.html#L81C12",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L81"
    },
    {
      "label": "Variant",
      "docHref": "docs/pango.enums.html#L170C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L170"
    },
    {
      "label": "Vertices_Array",
      "docHref": "docs/glib.graphs.html#L50C9",
      "declared": "Glib.Graphs",
      "srcHref": "srcs/glib-graphs.ads.html#L50"
    },
    {
      "label": "View_Coordinate",
      "docHref": "docs/gtkada.canvas_view.html#L224C12",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L224"
    },
    {
      "label": "Weight",
      "docHref": "docs/pango.enums.html#L176C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L176"
    },
    {
      "label": "Window_Coordinate",
      "docHref": "docs/gtkada.canvas_view.html#L226C12",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L226"
    },
    {
      "label": "Wrap_Mode",
      "docHref": "docs/pango.enums.html#L204C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L204"
    }
  ]
};