GNATdoc.EntitiesCategory = {
  "label": "Record Types",
  "entities": [
    {
      "label": "Action_Entry",
      "docHref": "docs/gtk.action_group.html#L300C9",
      "declared": "Gtk.Action_Group",
      "srcHref": "srcs/gtk-action_group.ads.html#L300"
    },
    {
      "label": "Ada_GObject_Class_Record",
      "docHref": "docs/glib.object.html#L244C9",
      "declared": "Glib.Object",
      "srcHref": "srcs/glib-object.ads.html#L244"
    },
    {
      "label": "Anchor_Attachment",
      "docHref": "docs/gtkada.canvas_view.html#L311C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L311"
    },
    {
      "label": "Animation_Value",
      "docHref": "docs/gtkada.canvas_view.views.html#L87C9",
      "declared": "Gtkada.Canvas_View.Views",
      "srcHref": "srcs/gtkada-canvas_view-views.ads.html#L87"
    },
    {
      "label": "ARGB32_Data",
      "docHref": "docs/cairo.image_surface.html#L70C9",
      "declared": "Cairo.Image_Surface",
      "srcHref": "srcs/cairo-image_surface.ads.html#L70"
    },
    {
      "label": "Arrow_Style",
      "docHref": "docs/gtkada.style.html#L246C9",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L246"
    },
    {
      "label": "Breadth_Record",
      "docHref": "docs/glib.graphs.html#L147C9",
      "declared": "Glib.Graphs",
      "srcHref": "srcs/glib-graphs.ads.html#L147"
    },
    {
      "label": "C_Dummy",
      "docHref": "docs/glib.html#L151C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L151"
    },
    {
      "label": "Cairo_Color",
      "docHref": "docs/gtkada.style.html#L55C12",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L55"
    },
    {
      "label": "Cairo_Font_Extents",
      "docHref": "docs/cairo.html#L1849C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1849"
    },
    {
      "label": "Cairo_Glyph",
      "docHref": "docs/cairo.html#L1766C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1766"
    },
    {
      "label": "Cairo_Matrix",
      "docHref": "docs/cairo.html#L106C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L106"
    },
    {
      "label": "Cairo_Path",
      "docHref": "docs/cairo.html#L2588C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L2588"
    },
    {
      "label": "Cairo_Path_Data",
      "docHref": "docs/cairo.html#L2513C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L2513"
    },
    {
      "label": "Cairo_Rectangle",
      "docHref": "docs/cairo.html#L1652C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1652"
    },
    {
      "label": "Cairo_Rectangle_Int",
      "docHref": "docs/cairo.region.html#L50C9",
      "declared": "Cairo.Region",
      "srcHref": "srcs/cairo-region.ads.html#L50"
    },
    {
      "label": "Cairo_Rectangle_List",
      "docHref": "docs/cairo.html#L1670C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1670"
    },
    {
      "label": "Cairo_Text_Cluster",
      "docHref": "docs/cairo.html#L1781C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1781"
    },
    {
      "label": "Cairo_Text_Extents",
      "docHref": "docs/cairo.html#L1813C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1813"
    },
    {
      "label": "Cairo_User_Data_Key",
      "docHref": "docs/cairo.html#L156C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L156"
    },
    {
      "label": "Canvas_Event_Details",
      "docHref": "docs/gtkada.canvas_view.html#L1195C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L1195"
    },
    {
      "label": "Child_Iterator",
      "docHref": "docs/gtkada.mdi.html#L573C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L573"
    },
    {
      "label": "Child_Iterator",
      "docHref": "docs/gtkada.multi_paned.html#L211C9",
      "declared": "Gtkada.Multi_Paned",
      "srcHref": "srcs/gtkada-multi_paned.ads.html#L211"
    },
    {
      "label": "Connected_Component",
      "docHref": "docs/glib.graphs.html#L237C9",
      "declared": "Glib.Graphs",
      "srcHref": "srcs/glib-graphs.ads.html#L237"
    },
    {
      "label": "Coordinate",
      "docHref": "docs/gtkada.canvas_view.astar.html#L29C9",
      "declared": "Gtkada.Canvas_View.Astar",
      "srcHref": "srcs/gtkada-canvas_view-astar.ads.html#L29"
    },
    {
      "label": "Depth_Record",
      "docHref": "docs/glib.graphs.html#L180C9",
      "declared": "Glib.Graphs",
      "srcHref": "srcs/glib-graphs.ads.html#L180"
    },
    {
      "label": "Draw_Context",
      "docHref": "docs/gtkada.canvas_view.html#L342C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L342"
    },
    {
      "label": "Edge_Iterator",
      "docHref": "docs/glib.graphs.html#L44C9",
      "declared": "Glib.Graphs",
      "srcHref": "srcs/glib-graphs.ads.html#L44"
    },
    {
      "label": "Font_Style",
      "docHref": "docs/gtkada.style.html#L269C9",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L269"
    },
    {
      "label": "GAction_Entry",
      "docHref": "docs/glib.action_map.html#L54C9",
      "declared": "Glib.Action_Map",
      "srcHref": "srcs/glib-action_map.ads.html#L54"
    },
    {
      "label": "Gdk_Color",
      "docHref": "docs/gdk.color.html#L46C9",
      "declared": "Gdk.Color",
      "srcHref": "srcs/gdk-color.ads.html#L46"
    },
    {
      "label": "Gdk_Event_Any",
      "docHref": "docs/gdk.event.html#L293C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L293"
    },
    {
      "label": "Gdk_Event_Button",
      "docHref": "docs/gdk.event.html#L306C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L306"
    },
    {
      "label": "Gdk_Event_Configure",
      "docHref": "docs/gdk.event.html#L497C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L497"
    },
    {
      "label": "Gdk_Event_Crossing",
      "docHref": "docs/gdk.event.html#L464C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L464"
    },
    {
      "label": "Gdk_Event_DND",
      "docHref": "docs/gdk.event.html#L582C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L582"
    },
    {
      "label": "Gdk_Event_Expose",
      "docHref": "docs/gdk.event.html#L370C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L370"
    },
    {
      "label": "Gdk_Event_Focus",
      "docHref": "docs/gdk.event.html#L485C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L485"
    },
    {
      "label": "Gdk_Event_Grab_Broken",
      "docHref": "docs/gdk.event.html#L657C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L657"
    },
    {
      "label": "Gdk_Event_Key",
      "docHref": "docs/gdk.event.html#L445C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L445"
    },
    {
      "label": "Gdk_Event_Motion",
      "docHref": "docs/gdk.event.html#L397C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L397"
    },
    {
      "label": "Gdk_Event_Owner_Change",
      "docHref": "docs/gdk.event.html#L543C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L543"
    },
    {
      "label": "Gdk_Event_Property",
      "docHref": "docs/gdk.event.html#L512C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L512"
    },
    {
      "label": "Gdk_Event_Proximity",
      "docHref": "docs/gdk.event.html#L561C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L561"
    },
    {
      "label": "Gdk_Event_Record",
      "docHref": "docs/gdk.event.html#L675C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L675"
    },
    {
      "label": "Gdk_Event_Scroll",
      "docHref": "docs/gdk.event.html#L417C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L417"
    },
    {
      "label": "Gdk_Event_Selection",
      "docHref": "docs/gdk.event.html#L526C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L526"
    },
    {
      "label": "Gdk_Event_Setting",
      "docHref": "docs/gdk.event.html#L610C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L610"
    },
    {
      "label": "Gdk_Event_Touch",
      "docHref": "docs/gdk.event.html#L623C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L623"
    },
    {
      "label": "Gdk_Event_Visibility",
      "docHref": "docs/gdk.event.html#L385C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L385"
    },
    {
      "label": "Gdk_Event_Window_State",
      "docHref": "docs/gdk.event.html#L597C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L597"
    },
    {
      "label": "Gdk_Geometry",
      "docHref": "docs/gdk.window.html#L210C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L210"
    },
    {
      "label": "Gdk_Point",
      "docHref": "docs/gdk.types.html#L36C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L36"
    },
    {
      "label": "Gdk_Rectangle",
      "docHref": "docs/gdk.rectangle.html#L31C12",
      "declared": "Gdk.Rectangle",
      "srcHref": "srcs/gdk-rectangle.ads.html#L31"
    },
    {
      "label": "Gdk_RGBA",
      "docHref": "docs/gdk.rgba.html#L38C9",
      "declared": "Gdk.RGBA",
      "srcHref": "srcs/gdk-rgba.ads.html#L38"
    },
    {
      "label": "Gdk_Segment",
      "docHref": "docs/gdk.types.html#L45C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L45"
    },
    {
      "label": "GInterface_Info",
      "docHref": "docs/glib.object.html#L455C9",
      "declared": "Glib.Object",
      "srcHref": "srcs/glib-object.ads.html#L455"
    },
    {
      "label": "Glist",
      "docHref": "docs/glib.glist.html#L65C12",
      "declared": "Glib.Glist.Generic_List",
      "srcHref": "srcs/glib-glist.ads.html#L65"
    },
    {
      "label": "GOption_Entry",
      "docHref": "docs/glib.option.html#L98C9",
      "declared": "Glib.Option",
      "srcHref": "srcs/glib-option.ads.html#L98"
    },
    {
      "label": "Graph",
      "docHref": "docs/glib.graphs.html#L35C9",
      "declared": "Glib.Graphs",
      "srcHref": "srcs/glib-graphs.ads.html#L35"
    },
    {
      "label": "GSlist",
      "docHref": "docs/glib.gslist.html#L53C12",
      "declared": "Glib.GSlist.Generic_SList",
      "srcHref": "srcs/glib-gslist.ads.html#L53"
    },
    {
      "label": "Gstring",
      "docHref": "docs/glib.string.html#L36C9",
      "declared": "Glib.String",
      "srcHref": "srcs/glib-string.ads.html#L36"
    },
    {
      "label": "GTime_Val",
      "docHref": "docs/glib.html#L85C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L85"
    },
    {
      "label": "Gtk_Accel_Key",
      "docHref": "docs/gtk.accel_group.html#L63C9",
      "declared": "Gtk.Accel_Group",
      "srcHref": "srcs/gtk-accel_group.ads.html#L63"
    },
    {
      "label": "Gtk_Allocation",
      "docHref": "docs/gtk.widget.html#L355C12",
      "declared": "Gtk.Widget",
      "srcHref": "srcs/gtk-widget.ads.html#L355"
    },
    {
      "label": "Gtk_Args",
      "docHref": "docs/gtk.arguments.html#L64C12",
      "declared": "Gtk.Arguments",
      "srcHref": "srcs/gtk-arguments.ads.html#L64"
    },
    {
      "label": "Gtk_Binding_Set",
      "docHref": "docs/gtk.binding_set.html#L43C9",
      "declared": "Gtk.Binding_Set",
      "srcHref": "srcs/gtk-binding_set.ads.html#L43"
    },
    {
      "label": "Gtk_Border",
      "docHref": "docs/gtk.style.html#L59C9",
      "declared": "Gtk.Style",
      "srcHref": "srcs/gtk-style.ads.html#L59"
    },
    {
      "label": "Gtk_File_Filter_Info",
      "docHref": "docs/gtk.file_filter.html#L89C9",
      "declared": "Gtk.File_Filter",
      "srcHref": "srcs/gtk-file_filter.ads.html#L89"
    },
    {
      "label": "Gtk_Hbox_Record",
      "docHref": "docs/gtk.box.html#L97C12",
      "declared": "Gtk.Box",
      "srcHref": "srcs/gtk-box.ads.html#L97"
    },
    {
      "label": "Gtk_Hpaned_Record",
      "docHref": "docs/gtk.paned.html#L90C12",
      "declared": "Gtk.Paned",
      "srcHref": "srcs/gtk-paned.ads.html#L90"
    },
    {
      "label": "Gtk_Hscale_Record",
      "docHref": "docs/gtk.scale.html#L68C12",
      "declared": "Gtk.Scale",
      "srcHref": "srcs/gtk-scale.ads.html#L68"
    },
    {
      "label": "Gtk_Hscrollbar_Record",
      "docHref": "docs/gtk.scrollbar.html#L59C12",
      "declared": "Gtk.Scrollbar",
      "srcHref": "srcs/gtk-scrollbar.ads.html#L59"
    },
    {
      "label": "Gtk_Hseparator_Record",
      "docHref": "docs/gtk.separator.html#L48C12",
      "declared": "Gtk.Separator",
      "srcHref": "srcs/gtk-separator.ads.html#L48"
    },
    {
      "label": "Gtk_Page_Range_Record",
      "docHref": "docs/gtk.print_settings.html#L54C9",
      "declared": "Gtk.Print_Settings",
      "srcHref": "srcs/gtk-print_settings.ads.html#L54"
    },
    {
      "label": "Gtk_Recent_Data",
      "docHref": "docs/gtk.recent_manager.html#L127C9",
      "declared": "Gtk.Recent_Manager",
      "srcHref": "srcs/gtk-recent_manager.ads.html#L127"
    },
    {
      "label": "Gtk_Recent_Filter_Info",
      "docHref": "docs/gtk.recent_filter.html#L100C9",
      "declared": "Gtk.Recent_Filter",
      "srcHref": "srcs/gtk-recent_filter.ads.html#L100"
    },
    {
      "label": "Gtk_Requisition",
      "docHref": "docs/gtk.widget.html#L294C9",
      "declared": "Gtk.Widget",
      "srcHref": "srcs/gtk-widget.ads.html#L294"
    },
    {
      "label": "Gtk_Stock_Item",
      "docHref": "docs/gtk.stock.html#L138C9",
      "declared": "Gtk.Stock",
      "srcHref": "srcs/gtk-stock.ads.html#L138"
    },
    {
      "label": "Gtk_Target_Entry",
      "docHref": "docs/gtk.target_entry.html#L39C9",
      "declared": "Gtk.Target_Entry",
      "srcHref": "srcs/gtk-target_entry.ads.html#L39"
    },
    {
      "label": "Gtk_Text_Appearance",
      "docHref": "docs/gtk.text_attributes.html#L42C9",
      "declared": "Gtk.Text_Attributes",
      "srcHref": "srcs/gtk-text_attributes.ads.html#L42"
    },
    {
      "label": "Gtk_Text_Attributes",
      "docHref": "docs/gtk.text_attributes.html#L59C9",
      "declared": "Gtk.Text_Attributes",
      "srcHref": "srcs/gtk-text_attributes.ads.html#L59"
    },
    {
      "label": "Gtk_Text_Iter",
      "docHref": "docs/gtk.text_iter.html#L54C9",
      "declared": "Gtk.Text_Iter",
      "srcHref": "srcs/gtk-text_iter.ads.html#L54"
    },
    {
      "label": "Gtk_Tree_Iter",
      "docHref": "docs/gtk.tree_model.html#L224C9",
      "declared": "Gtk.Tree_Model",
      "srcHref": "srcs/gtk-tree_model.ads.html#L224"
    },
    {
      "label": "Gtk_Vbox_Record",
      "docHref": "docs/gtk.box.html#L100C12",
      "declared": "Gtk.Box",
      "srcHref": "srcs/gtk-box.ads.html#L100"
    },
    {
      "label": "Gtk_Vpaned_Record",
      "docHref": "docs/gtk.paned.html#L93C12",
      "declared": "Gtk.Paned",
      "srcHref": "srcs/gtk-paned.ads.html#L93"
    },
    {
      "label": "Gtk_Vscale_Record",
      "docHref": "docs/gtk.scale.html#L71C12",
      "declared": "Gtk.Scale",
      "srcHref": "srcs/gtk-scale.ads.html#L71"
    },
    {
      "label": "Gtk_Vscrollbar_Record",
      "docHref": "docs/gtk.scrollbar.html#L62C12",
      "declared": "Gtk.Scrollbar",
      "srcHref": "srcs/gtk-scrollbar.ads.html#L62"
    },
    {
      "label": "Gtk_Vseparator_Record",
      "docHref": "docs/gtk.separator.html#L51C12",
      "declared": "Gtk.Separator",
      "srcHref": "srcs/gtk-separator.ads.html#L51"
    },
    {
      "label": "GValue",
      "docHref": "docs/glib.values.html#L44C9",
      "declared": "Glib.Values",
      "srcHref": "srcs/glib-values.ads.html#L44"
    },
    {
      "label": "GValues",
      "docHref": "docs/glib.values.html#L48C9",
      "declared": "Glib.Values",
      "srcHref": "srcs/glib-values.ads.html#L48"
    },
    {
      "label": "Handler_Id",
      "docHref": "docs/gtk.handlers.html#L189C9",
      "declared": "Gtk.Handlers",
      "srcHref": "srcs/gtk-handlers.ads.html#L189"
    },
    {
      "label": "Header_Type",
      "docHref": "docs/cairo.html#L2501C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L2501"
    },
    {
      "label": "HSLA_Color",
      "docHref": "docs/gtkada.style.html#L64C9",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L64"
    },
    {
      "label": "HSV_Color",
      "docHref": "docs/gtkada.style.html#L57C9",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L57"
    },
    {
      "label": "Internal_Data",
      "docHref": "docs/glib.object.html#L618C12",
      "declared": "Glib.Object.User_Data_Closure",
      "srcHref": "srcs/glib-object.ads.html#L618"
    },
    {
      "label": "Item_Iterator",
      "docHref": "docs/gtkada.canvas.html#L439C9",
      "declared": "Gtkada.Canvas",
      "srcHref": "srcs/gtkada-canvas.ads.html#L439"
    },
    {
      "label": "Item_Point",
      "docHref": "docs/gtkada.canvas_view.html#L252C12",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L252"
    },
    {
      "label": "Item_Rectangle",
      "docHref": "docs/gtkada.canvas_view.html#L235C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L235"
    },
    {
      "label": "Margins",
      "docHref": "docs/gtkada.canvas_view.html#L1314C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L1314"
    },
    {
      "label": "Marshaller",
      "docHref": "docs/gtk.marshallers.html#L134C12",
      "declared": "Gtk.Marshallers.Return_Marshallers",
      "srcHref": "srcs/gtk-marshallers.ads.html#L134"
    },
    {
      "label": "Marshaller",
      "docHref": "docs/gtk.marshallers.html#L238C12",
      "declared": "Gtk.Marshallers.User_Return_Marshallers",
      "srcHref": "srcs/gtk-marshallers.ads.html#L238"
    },
    {
      "label": "Marshaller",
      "docHref": "docs/gtk.marshallers.html#L344C12",
      "declared": "Gtk.Marshallers.Void_Marshallers",
      "srcHref": "srcs/gtk-marshallers.ads.html#L344"
    },
    {
      "label": "Marshaller",
      "docHref": "docs/gtk.marshallers.html#L492C12",
      "declared": "Gtk.Marshallers.User_Void_Marshallers",
      "srcHref": "srcs/gtk-marshallers.ads.html#L492"
    },
    {
      "label": "Model_Point",
      "docHref": "docs/gtkada.canvas_view.html#L243C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L243"
    },
    {
      "label": "Model_Rectangle",
      "docHref": "docs/gtkada.canvas_view.html#L229C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L229"
    },
    {
      "label": "Node",
      "docHref": "docs/standard.html#L46C9",
      "declared": "Glib.XML",
      "srcHref": "srcs/glib-xml.ads.html#L46"
    },
    {
      "label": "Page_Format",
      "docHref": "docs/gtkada.canvas_view.html#L1129C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L1129"
    },
    {
      "label": "Pango_Layout_Line",
      "docHref": "docs/pango.layout.html#L60C9",
      "declared": "Pango.Layout",
      "srcHref": "srcs/pango-layout.ads.html#L60"
    },
    {
      "label": "Pango_Matrix",
      "docHref": "docs/pango.matrix.html#L39C9",
      "declared": "Pango.Matrix",
      "srcHref": "srcs/pango-matrix.ads.html#L39"
    },
    {
      "label": "Pango_Rectangle",
      "docHref": "docs/pango.html#L37C9",
      "declared": "Pango",
      "srcHref": "srcs/pango.ads.html#L37"
    },
    {
      "label": "Point",
      "docHref": "docs/gtkada.style.html#L291C9",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L291"
    },
    {
      "label": "Point_Type",
      "docHref": "docs/cairo.html#L2507C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L2507"
    },
    {
      "label": "Radio_Action_Entry",
      "docHref": "docs/gtk.action_group.html#L310C9",
      "declared": "Gtk.Action_Group",
      "srcHref": "srcs/gtk-action_group.ads.html#L310"
    },
    {
      "label": "RGB24_Data",
      "docHref": "docs/cairo.image_surface.html#L78C9",
      "declared": "Cairo.Image_Surface",
      "srcHref": "srcs/cairo-image_surface.ads.html#L78"
    },
    {
      "label": "Rgb_Record",
      "docHref": "docs/gdk.pixbuf.html#L152C9",
      "declared": "Gdk.Pixbuf",
      "srcHref": "srcs/gdk-pixbuf.ads.html#L152"
    },
    {
      "label": "Shadow_Style",
      "docHref": "docs/gtkada.style.html#L284C9",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L284"
    },
    {
      "label": "Signal_Query",
      "docHref": "docs/glib.object.html#L185C9",
      "declared": "Glib.Object",
      "srcHref": "srcs/glib-object.ads.html#L185"
    },
    {
      "label": "Symbol_Style",
      "docHref": "docs/gtkada.style.html#L258C9",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L258"
    },
    {
      "label": "Toggle_Action_Entry",
      "docHref": "docs/gtk.action_group.html#L320C9",
      "declared": "Gtk.Action_Group",
      "srcHref": "srcs/gtk-action_group.ads.html#L320"
    },
    {
      "label": "View_Point",
      "docHref": "docs/gtkada.canvas_view.html#L246C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L246"
    },
    {
      "label": "View_Rectangle",
      "docHref": "docs/gtkada.canvas_view.html#L232C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L232"
    },
    {
      "label": "Window_Point",
      "docHref": "docs/gtkada.canvas_view.html#L249C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L249"
    },
    {
      "label": "Window_Rectangle",
      "docHref": "docs/gtkada.canvas_view.html#L238C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L238"
    }
  ]
};